#include "windows_version.h"
#include <memory.h>
#include <caml/mlvalues.h>
#include <caml/socketaddr.h>
#include <caml/threads.h>
#include <uv.h>
#include "helpers.h"
#include "ctypes_cstubs_internals.h"
value luv_stub_1_uv_strerror_r(value x3, value x2, value x1)
{
   int x4 = Long_val(x3);
   unsigned char* x7 = CTYPES_PTR_OF_OCAML_BYTES(x2);
   int x8 = Long_val(x1);
   uv_strerror_r(x4, x7, x8);
   return Val_unit;
}
value luv_stub_2_uv_err_name_r(value x14, value x13, value x12)
{
   int x15 = Long_val(x14);
   unsigned char* x18 = CTYPES_PTR_OF_OCAML_BYTES(x13);
   int x19 = Long_val(x12);
   uv_err_name_r(x15, x18, x19);
   return Val_unit;
}
value luv_stub_3_uv_translate_sys_error(value x23)
{
   int x24 = Long_val(x23);
   int x27 = uv_translate_sys_error(x24);
   return Val_long(x27);
}
value luv_stub_4_luv_version_suffix(value x28)
{
   char* x29 = luv_version_suffix();
   return CTYPES_FROM_PTR(x29);
}
value luv_stub_5_uv_version(value x30)
{
   int x31 = uv_version();
   return Val_long(x31);
}
value luv_stub_6_luv_version_string(value x32)
{
   char* x33 = luv_version_string();
   return CTYPES_FROM_PTR(x33);
}
value luv_stub_7_uv_loop_init(value x34)
{
   uv_loop_t* x35 = CTYPES_ADDR_OF_FATPTR(x34);
   int x36 = uv_loop_init(x35);
   return Val_long(x36);
}
value luv_stub_8_uv_loop_configure(value x39, value x38, value x37)
{
   uv_loop_t* x40 = CTYPES_ADDR_OF_FATPTR(x39);
   int x41 = Long_val(x38);
   int x44 = Long_val(x37);
   int x47 = uv_loop_configure(x40, x41, x44);
   return Val_long(x47);
}
value luv_stub_9_uv_loop_close(value x48)
{
   uv_loop_t* x49 = CTYPES_ADDR_OF_FATPTR(x48);
   int x50 = uv_loop_close(x49);
   return Val_long(x50);
}
value luv_stub_10_uv_default_loop(value x51)
{
   uv_loop_t* x52 = uv_default_loop();
   return CTYPES_FROM_PTR(x52);
}
value luv_stub_11_uv_loop_alive(value x53)
{
   uv_loop_t* x54 = CTYPES_ADDR_OF_FATPTR(x53);
   _Bool x55 = uv_loop_alive(x54);
   return Val_bool(x55);
}
value luv_stub_12_uv_stop(value x56)
{
   uv_loop_t* x57 = CTYPES_ADDR_OF_FATPTR(x56);
   uv_stop(x57);
   return Val_unit;
}
value luv_stub_13_uv_backend_fd(value x59)
{
   uv_loop_t* x60 = CTYPES_ADDR_OF_FATPTR(x59);
   int x61 = uv_backend_fd(x60);
   return Val_long(x61);
}
value luv_stub_14_uv_backend_timeout(value x62)
{
   uv_loop_t* x63 = CTYPES_ADDR_OF_FATPTR(x62);
   int x64 = uv_backend_timeout(x63);
   return Val_long(x64);
}
value luv_stub_15_uv_now(value x65)
{
   uv_loop_t* x66 = CTYPES_ADDR_OF_FATPTR(x65);
   uint64_t x67 = uv_now(x66);
   return integers_copy_uint64(x67);
}
value luv_stub_16_uv_update_time(value x68)
{
   uv_loop_t* x69 = CTYPES_ADDR_OF_FATPTR(x68);
   uv_update_time(x69);
   return Val_unit;
}
value luv_stub_17_uv_loop_fork(value x71)
{
   uv_loop_t* x72 = CTYPES_ADDR_OF_FATPTR(x71);
   int x73 = uv_loop_fork(x72);
   return Val_long(x73);
}
value luv_stub_18_uv_library_shutdown(value x74)
{
   uv_library_shutdown();
   return Val_unit;
}
value luv_stub_19_luv_get_close_trampoline(value x76)
{
   void(* x77)(uv_handle_t*) = luv_get_close_trampoline();
   return CTYPES_FROM_PTR(x77);
}
value luv_stub_20_luv_get_alloc_trampoline(value x78)
{
   void(* x79)(uv_handle_t*, size_t, uv_buf_t*) = luv_get_alloc_trampoline();
   return CTYPES_FROM_PTR(x79);
}
value luv_stub_21_uv_is_active(value x80)
{
   uv_handle_t* x81 = CTYPES_ADDR_OF_FATPTR(x80);
   _Bool x82 = uv_is_active(x81);
   return Val_bool(x82);
}
value luv_stub_22_uv_is_closing(value x83)
{
   uv_handle_t* x84 = CTYPES_ADDR_OF_FATPTR(x83);
   _Bool x85 = uv_is_closing(x84);
   return Val_bool(x85);
}
value luv_stub_23_uv_close(value x87, value x86)
{
   uv_handle_t* x88 = CTYPES_ADDR_OF_FATPTR(x87);
   void(* x89)(uv_handle_t*) = CTYPES_ADDR_OF_FATPTR(x86);
   uv_close(x88, x89);
   return Val_unit;
}
value luv_stub_24_uv_ref(value x91)
{
   uv_handle_t* x92 = CTYPES_ADDR_OF_FATPTR(x91);
   uv_ref(x92);
   return Val_unit;
}
value luv_stub_25_uv_unref(value x94)
{
   uv_handle_t* x95 = CTYPES_ADDR_OF_FATPTR(x94);
   uv_unref(x95);
   return Val_unit;
}
value luv_stub_26_uv_has_ref(value x97)
{
   uv_handle_t* x98 = CTYPES_ADDR_OF_FATPTR(x97);
   _Bool x99 = uv_has_ref(x98);
   return Val_bool(x99);
}
value luv_stub_27_uv_send_buffer_size(value x101, value x100)
{
   uv_handle_t* x102 = CTYPES_ADDR_OF_FATPTR(x101);
   int* x103 = CTYPES_ADDR_OF_FATPTR(x100);
   int x104 = uv_send_buffer_size(x102, x103);
   return Val_long(x104);
}
value luv_stub_28_uv_recv_buffer_size(value x106, value x105)
{
   uv_handle_t* x107 = CTYPES_ADDR_OF_FATPTR(x106);
   int* x108 = CTYPES_ADDR_OF_FATPTR(x105);
   int x109 = uv_recv_buffer_size(x107, x108);
   return Val_long(x109);
}
value luv_stub_29_uv_fileno(value x111, value x110)
{
   uv_handle_t* x112 = CTYPES_ADDR_OF_FATPTR(x111);
   uv_os_fd_t* x113 = CTYPES_ADDR_OF_FATPTR(x110);
   int x114 = uv_fileno(x112, x113);
   return Val_long(x114);
}
value luv_stub_30_uv_handle_get_loop(value x115)
{
   uv_handle_t* x116 = CTYPES_ADDR_OF_FATPTR(x115);
   uv_loop_t* x117 = uv_handle_get_loop(x116);
   return CTYPES_FROM_PTR(x117);
}
value luv_stub_31_uv_handle_get_data(value x118)
{
   uv_handle_t* x119 = CTYPES_ADDR_OF_FATPTR(x118);
   void* x120 = uv_handle_get_data(x119);
   return CTYPES_FROM_PTR(x120);
}
value luv_stub_32_uv_handle_set_data(value x122, value x121)
{
   uv_handle_t* x123 = CTYPES_ADDR_OF_FATPTR(x122);
   void* x124 = CTYPES_ADDR_OF_FATPTR(x121);
   uv_handle_set_data(x123, x124);
   return Val_unit;
}
value luv_stub_33_uv_cancel(value x126)
{
   uv_req_t* x127 = CTYPES_ADDR_OF_FATPTR(x126);
   int x128 = uv_cancel(x127);
   return Val_long(x128);
}
value luv_stub_34_uv_req_get_data(value x129)
{
   uv_req_t* x130 = CTYPES_ADDR_OF_FATPTR(x129);
   void* x131 = uv_req_get_data(x130);
   return CTYPES_FROM_PTR(x131);
}
value luv_stub_35_uv_req_set_data(value x133, value x132)
{
   uv_req_t* x134 = CTYPES_ADDR_OF_FATPTR(x133);
   void* x135 = CTYPES_ADDR_OF_FATPTR(x132);
   uv_req_set_data(x134, x135);
   return Val_unit;
}
value luv_stub_36_luv_get_timer_trampoline(value x137)
{
   void(* x138)(uv_timer_t*) = luv_get_timer_trampoline();
   return CTYPES_FROM_PTR(x138);
}
value luv_stub_37_uv_timer_init(value x140, value x139)
{
   uv_loop_t* x141 = CTYPES_ADDR_OF_FATPTR(x140);
   uv_timer_t* x142 = CTYPES_ADDR_OF_FATPTR(x139);
   int x143 = uv_timer_init(x141, x142);
   return Val_long(x143);
}
value luv_stub_38_uv_timer_start(value x147, value x146, value x145,
                                 value x144)
{
   uv_timer_t* x148 = CTYPES_ADDR_OF_FATPTR(x147);
   void(* x149)(uv_timer_t*) = CTYPES_ADDR_OF_FATPTR(x146);
   uint64_t x150 = Uint64_val(x145);
   uint64_t x153 = Uint64_val(x144);
   int x156 = uv_timer_start(x148, x149, x150, x153);
   return Val_long(x156);
}
value luv_stub_39_uv_timer_stop(value x157)
{
   uv_timer_t* x158 = CTYPES_ADDR_OF_FATPTR(x157);
   int x159 = uv_timer_stop(x158);
   return Val_long(x159);
}
value luv_stub_40_uv_timer_again(value x160)
{
   uv_timer_t* x161 = CTYPES_ADDR_OF_FATPTR(x160);
   int x162 = uv_timer_again(x161);
   return Val_long(x162);
}
value luv_stub_41_uv_timer_set_repeat(value x164, value x163)
{
   uv_timer_t* x165 = CTYPES_ADDR_OF_FATPTR(x164);
   uint64_t x166 = Uint64_val(x163);
   uv_timer_set_repeat(x165, x166);
   return Val_unit;
}
value luv_stub_42_uv_timer_get_repeat(value x170)
{
   uv_timer_t* x171 = CTYPES_ADDR_OF_FATPTR(x170);
   uint64_t x172 = uv_timer_get_repeat(x171);
   return integers_copy_uint64(x172);
}
value luv_stub_43_uv_timer_get_due_in(value x173)
{
   uv_timer_t* x174 = CTYPES_ADDR_OF_FATPTR(x173);
   uint64_t x175 = uv_timer_get_due_in(x174);
   return integers_copy_uint64(x175);
}
value luv_stub_44_luv_get_prepare_trampoline(value x176)
{
   void(* x177)(uv_prepare_t*) = luv_get_prepare_trampoline();
   return CTYPES_FROM_PTR(x177);
}
value luv_stub_45_uv_prepare_init(value x179, value x178)
{
   uv_loop_t* x180 = CTYPES_ADDR_OF_FATPTR(x179);
   uv_prepare_t* x181 = CTYPES_ADDR_OF_FATPTR(x178);
   int x182 = uv_prepare_init(x180, x181);
   return Val_long(x182);
}
value luv_stub_46_uv_prepare_start(value x184, value x183)
{
   uv_prepare_t* x185 = CTYPES_ADDR_OF_FATPTR(x184);
   void(* x186)(uv_prepare_t*) = CTYPES_ADDR_OF_FATPTR(x183);
   int x187 = uv_prepare_start(x185, x186);
   return Val_long(x187);
}
value luv_stub_47_uv_prepare_stop(value x188)
{
   uv_prepare_t* x189 = CTYPES_ADDR_OF_FATPTR(x188);
   int x190 = uv_prepare_stop(x189);
   return Val_long(x190);
}
value luv_stub_48_luv_get_check_trampoline(value x191)
{
   void(* x192)(uv_check_t*) = luv_get_check_trampoline();
   return CTYPES_FROM_PTR(x192);
}
value luv_stub_49_uv_check_init(value x194, value x193)
{
   uv_loop_t* x195 = CTYPES_ADDR_OF_FATPTR(x194);
   uv_check_t* x196 = CTYPES_ADDR_OF_FATPTR(x193);
   int x197 = uv_check_init(x195, x196);
   return Val_long(x197);
}
value luv_stub_50_uv_check_start(value x199, value x198)
{
   uv_check_t* x200 = CTYPES_ADDR_OF_FATPTR(x199);
   void(* x201)(uv_check_t*) = CTYPES_ADDR_OF_FATPTR(x198);
   int x202 = uv_check_start(x200, x201);
   return Val_long(x202);
}
value luv_stub_51_uv_check_stop(value x203)
{
   uv_check_t* x204 = CTYPES_ADDR_OF_FATPTR(x203);
   int x205 = uv_check_stop(x204);
   return Val_long(x205);
}
value luv_stub_52_luv_get_idle_trampoline(value x206)
{
   void(* x207)(uv_idle_t*) = luv_get_idle_trampoline();
   return CTYPES_FROM_PTR(x207);
}
value luv_stub_53_uv_idle_init(value x209, value x208)
{
   uv_loop_t* x210 = CTYPES_ADDR_OF_FATPTR(x209);
   uv_idle_t* x211 = CTYPES_ADDR_OF_FATPTR(x208);
   int x212 = uv_idle_init(x210, x211);
   return Val_long(x212);
}
value luv_stub_54_uv_idle_start(value x214, value x213)
{
   uv_idle_t* x215 = CTYPES_ADDR_OF_FATPTR(x214);
   void(* x216)(uv_idle_t*) = CTYPES_ADDR_OF_FATPTR(x213);
   int x217 = uv_idle_start(x215, x216);
   return Val_long(x217);
}
value luv_stub_55_uv_idle_stop(value x218)
{
   uv_idle_t* x219 = CTYPES_ADDR_OF_FATPTR(x218);
   int x220 = uv_idle_stop(x219);
   return Val_long(x220);
}
value luv_stub_56_luv_get_async_trampoline(value x221)
{
   void(* x222)(uv_async_t*) = luv_get_async_trampoline();
   return CTYPES_FROM_PTR(x222);
}
value luv_stub_57_uv_async_init(value x225, value x224, value x223)
{
   uv_loop_t* x226 = CTYPES_ADDR_OF_FATPTR(x225);
   uv_async_t* x227 = CTYPES_ADDR_OF_FATPTR(x224);
   void(* x228)(uv_async_t*) = CTYPES_ADDR_OF_FATPTR(x223);
   int x229 = uv_async_init(x226, x227, x228);
   return Val_long(x229);
}
value luv_stub_58_uv_async_send(value x230)
{
   uv_async_t* x231 = CTYPES_ADDR_OF_FATPTR(x230);
   int x232 = uv_async_send(x231);
   return Val_long(x232);
}
value luv_stub_59_luv_get_poll_trampoline(value x233)
{
   void(* x234)(uv_poll_t*, int, int) = luv_get_poll_trampoline();
   return CTYPES_FROM_PTR(x234);
}
value luv_stub_60_uv_poll_init(value x237, value x236, value x235)
{
   uv_loop_t* x238 = CTYPES_ADDR_OF_FATPTR(x237);
   uv_poll_t* x239 = CTYPES_ADDR_OF_FATPTR(x236);
   int x240 = Long_val(x235);
   int x243 = uv_poll_init(x238, x239, x240);
   return Val_long(x243);
}
value luv_stub_61_uv_poll_init_socket(value x246, value x245, value x244)
{
   uv_loop_t* x247 = CTYPES_ADDR_OF_FATPTR(x246);
   uv_poll_t* x248 = CTYPES_ADDR_OF_FATPTR(x245);
   void* x249 = CTYPES_ADDR_OF_FATPTR(x244);
   uv_os_sock_t x251 = *(uv_os_sock_t*)x249;
   int x252 = uv_poll_init_socket(x247, x248, x251);
   return Val_long(x252);
}
value luv_stub_62_uv_poll_start(value x255, value x254, value x253)
{
   uv_poll_t* x256 = CTYPES_ADDR_OF_FATPTR(x255);
   int x257 = Long_val(x254);
   void(* x260)(uv_poll_t*, int, int) = CTYPES_ADDR_OF_FATPTR(x253);
   int x261 = uv_poll_start(x256, x257, x260);
   return Val_long(x261);
}
value luv_stub_63_uv_poll_stop(value x262)
{
   uv_poll_t* x263 = CTYPES_ADDR_OF_FATPTR(x262);
   int x264 = uv_poll_stop(x263);
   return Val_long(x264);
}
value luv_stub_64_luv_get_signal_trampoline(value x265)
{
   void(* x266)(uv_signal_t*, int) = luv_get_signal_trampoline();
   return CTYPES_FROM_PTR(x266);
}
value luv_stub_65_uv_signal_init(value x268, value x267)
{
   uv_loop_t* x269 = CTYPES_ADDR_OF_FATPTR(x268);
   uv_signal_t* x270 = CTYPES_ADDR_OF_FATPTR(x267);
   int x271 = uv_signal_init(x269, x270);
   return Val_long(x271);
}
value luv_stub_66_uv_signal_start(value x274, value x273, value x272)
{
   uv_signal_t* x275 = CTYPES_ADDR_OF_FATPTR(x274);
   void(* x276)(uv_signal_t*, int) = CTYPES_ADDR_OF_FATPTR(x273);
   int x277 = Long_val(x272);
   int x280 = uv_signal_start(x275, x276, x277);
   return Val_long(x280);
}
value luv_stub_67_uv_signal_start_oneshot(value x283, value x282, value x281)
{
   uv_signal_t* x284 = CTYPES_ADDR_OF_FATPTR(x283);
   void(* x285)(uv_signal_t*, int) = CTYPES_ADDR_OF_FATPTR(x282);
   int x286 = Long_val(x281);
   int x289 = uv_signal_start_oneshot(x284, x285, x286);
   return Val_long(x289);
}
value luv_stub_68_uv_signal_stop(value x290)
{
   uv_signal_t* x291 = CTYPES_ADDR_OF_FATPTR(x290);
   int x292 = uv_signal_stop(x291);
   return Val_long(x292);
}
value luv_stub_69_luv_get_connect_trampoline(value x293)
{
   void(* x294)(uv_connect_t*, int) = luv_get_connect_trampoline();
   return CTYPES_FROM_PTR(x294);
}
value luv_stub_70_luv_get_shutdown_trampoline(value x295)
{
   void(* x296)(uv_shutdown_t*, int) = luv_get_shutdown_trampoline();
   return CTYPES_FROM_PTR(x296);
}
value luv_stub_71_luv_get_write_trampoline(value x297)
{
   void(* x298)(uv_write_t*, int) = luv_get_write_trampoline();
   return CTYPES_FROM_PTR(x298);
}
value luv_stub_72_luv_get_connection_trampoline(value x299)
{
   void(* x300)(uv_stream_t*, int) = luv_get_connection_trampoline();
   return CTYPES_FROM_PTR(x300);
}
value luv_stub_73_luv_get_read_trampoline(value x301)
{
   void(* x302)(uv_stream_t*, ssize_t, uv_buf_t*) = luv_get_read_trampoline();
   return CTYPES_FROM_PTR(x302);
}
value luv_stub_74_uv_shutdown(value x305, value x304, value x303)
{
   uv_shutdown_t* x306 = CTYPES_ADDR_OF_FATPTR(x305);
   uv_stream_t* x307 = CTYPES_ADDR_OF_FATPTR(x304);
   void(* x308)(uv_shutdown_t*, int) = CTYPES_ADDR_OF_FATPTR(x303);
   int x309 = uv_shutdown(x306, x307, x308);
   return Val_long(x309);
}
value luv_stub_75_uv_listen(value x312, value x311, value x310)
{
   uv_stream_t* x313 = CTYPES_ADDR_OF_FATPTR(x312);
   int x314 = Long_val(x311);
   void(* x317)(uv_stream_t*, int) = CTYPES_ADDR_OF_FATPTR(x310);
   int x318 = uv_listen(x313, x314, x317);
   return Val_long(x318);
}
value luv_stub_76_uv_accept(value x320, value x319)
{
   uv_stream_t* x321 = CTYPES_ADDR_OF_FATPTR(x320);
   uv_stream_t* x322 = CTYPES_ADDR_OF_FATPTR(x319);
   int x323 = uv_accept(x321, x322);
   return Val_long(x323);
}
value luv_stub_77_luv_read_start(value x326, value x325, value x324)
{
   uv_stream_t* x327 = CTYPES_ADDR_OF_FATPTR(x326);
   void(* x328)(uv_handle_t*, size_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x325);
   void(* x329)(uv_stream_t*, ssize_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x324);
   int x330 = luv_read_start(x327, x328, x329);
   return Val_long(x330);
}
value luv_stub_78_uv_read_stop(value x331)
{
   uv_stream_t* x332 = CTYPES_ADDR_OF_FATPTR(x331);
   int x333 = uv_read_stop(x332);
   return Val_long(x333);
}
value luv_stub_79_uv_write2(value x339, value x338, value x337, value x336,
                            value x335, value x334)
{
   uv_write_t* x340 = CTYPES_ADDR_OF_FATPTR(x339);
   uv_stream_t* x341 = CTYPES_ADDR_OF_FATPTR(x338);
   uv_buf_t* x342 = CTYPES_ADDR_OF_FATPTR(x337);
   unsigned int x343 = ctypes_uint_val(x336);
   uv_stream_t* x346 = CTYPES_ADDR_OF_FATPTR(x335);
   void(* x347)(uv_write_t*, int) = CTYPES_ADDR_OF_FATPTR(x334);
   int x348 = uv_write2(x340, x341, x342, x343, x346, x347);
   return Val_long(x348);
}
value luv_stub_79_uv_write2_byte6(value* argv, int argc)
{
   value x349 = argv[5];
   value x350 = argv[4];
   value x351 = argv[3];
   value x352 = argv[2];
   value x353 = argv[1];
   value x354 = argv[0];
   return luv_stub_79_uv_write2(x354, x353, x352, x351, x350, x349);
}
value luv_stub_80_uv_try_write(value x357, value x356, value x355)
{
   uv_stream_t* x358 = CTYPES_ADDR_OF_FATPTR(x357);
   uv_buf_t* x359 = CTYPES_ADDR_OF_FATPTR(x356);
   unsigned int x360 = ctypes_uint_val(x355);
   int x363 = uv_try_write(x358, x359, x360);
   return Val_long(x363);
}
value luv_stub_81_uv_try_write2(value x367, value x366, value x365,
                                value x364)
{
   uv_stream_t* x368 = CTYPES_ADDR_OF_FATPTR(x367);
   uv_buf_t* x369 = CTYPES_ADDR_OF_FATPTR(x366);
   unsigned int x370 = ctypes_uint_val(x365);
   uv_stream_t* x373 = CTYPES_ADDR_OF_FATPTR(x364);
   int x374 = uv_try_write2(x368, x369, x370, x373);
   return Val_long(x374);
}
value luv_stub_82_uv_is_readable(value x375)
{
   uv_stream_t* x376 = CTYPES_ADDR_OF_FATPTR(x375);
   _Bool x377 = uv_is_readable(x376);
   return Val_bool(x377);
}
value luv_stub_83_uv_is_writable(value x378)
{
   uv_stream_t* x379 = CTYPES_ADDR_OF_FATPTR(x378);
   _Bool x380 = uv_is_writable(x379);
   return Val_bool(x380);
}
value luv_stub_84_uv_stream_set_blocking(value x382, value x381)
{
   uv_stream_t* x383 = CTYPES_ADDR_OF_FATPTR(x382);
   _Bool x384 = Bool_val(x381);
   int x387 = uv_stream_set_blocking(x383, x384);
   return Val_long(x387);
}
value luv_stub_85_uv_stream_get_write_queue_size(value x388)
{
   uv_stream_t* x389 = CTYPES_ADDR_OF_FATPTR(x388);
   size_t x390 = uv_stream_get_write_queue_size(x389);
   return ctypes_copy_size_t(x390);
}
value luv_stub_86_uv_tcp_init(value x392, value x391)
{
   uv_loop_t* x393 = CTYPES_ADDR_OF_FATPTR(x392);
   uv_tcp_t* x394 = CTYPES_ADDR_OF_FATPTR(x391);
   int x395 = uv_tcp_init(x393, x394);
   return Val_long(x395);
}
value luv_stub_87_uv_tcp_init_ex(value x398, value x397, value x396)
{
   uv_loop_t* x399 = CTYPES_ADDR_OF_FATPTR(x398);
   uv_tcp_t* x400 = CTYPES_ADDR_OF_FATPTR(x397);
   unsigned int x401 = ctypes_uint_val(x396);
   int x404 = uv_tcp_init_ex(x399, x400, x401);
   return Val_long(x404);
}
value luv_stub_88_uv_tcp_open(value x406, value x405)
{
   uv_tcp_t* x407 = CTYPES_ADDR_OF_FATPTR(x406);
   void* x408 = CTYPES_ADDR_OF_FATPTR(x405);
   uv_os_sock_t x410 = *(uv_os_sock_t*)x408;
   int x411 = uv_tcp_open(x407, x410);
   return Val_long(x411);
}
value luv_stub_89_uv_socketpair(value x416, value x415, value x414,
                                value x413, value x412)
{
   int x417 = Long_val(x416);
   int x420 = Long_val(x415);
   uv_os_sock_t* x423 = CTYPES_ADDR_OF_FATPTR(x414);
   int x424 = Long_val(x413);
   int x427 = Long_val(x412);
   int x430 = uv_socketpair(x417, x420, x423, x424, x427);
   return Val_long(x430);
}
value luv_stub_90_uv_tcp_nodelay(value x432, value x431)
{
   uv_tcp_t* x433 = CTYPES_ADDR_OF_FATPTR(x432);
   _Bool x434 = Bool_val(x431);
   int x437 = uv_tcp_nodelay(x433, x434);
   return Val_long(x437);
}
value luv_stub_91_uv_tcp_keepalive(value x440, value x439, value x438)
{
   uv_tcp_t* x441 = CTYPES_ADDR_OF_FATPTR(x440);
   _Bool x442 = Bool_val(x439);
   int x445 = Long_val(x438);
   int x448 = uv_tcp_keepalive(x441, x442, x445);
   return Val_long(x448);
}
value luv_stub_92_uv_tcp_simultaneous_accepts(value x450, value x449)
{
   uv_tcp_t* x451 = CTYPES_ADDR_OF_FATPTR(x450);
   _Bool x452 = Bool_val(x449);
   int x455 = uv_tcp_simultaneous_accepts(x451, x452);
   return Val_long(x455);
}
value luv_stub_93_uv_tcp_bind(value x458, value x457, value x456)
{
   uv_tcp_t* x459 = CTYPES_ADDR_OF_FATPTR(x458);
   struct sockaddr* x460 = CTYPES_ADDR_OF_FATPTR(x457);
   int x461 = Long_val(x456);
   int x464 = uv_tcp_bind(x459, x460, x461);
   return Val_long(x464);
}
value luv_stub_94_uv_tcp_getsockname(value x467, value x466, value x465)
{
   uv_tcp_t* x468 = CTYPES_ADDR_OF_FATPTR(x467);
   struct sockaddr* x469 = CTYPES_ADDR_OF_FATPTR(x466);
   int* x470 = CTYPES_ADDR_OF_FATPTR(x465);
   int x471 = uv_tcp_getsockname(x468, x469, x470);
   return Val_long(x471);
}
value luv_stub_95_uv_tcp_getpeername(value x474, value x473, value x472)
{
   uv_tcp_t* x475 = CTYPES_ADDR_OF_FATPTR(x474);
   struct sockaddr* x476 = CTYPES_ADDR_OF_FATPTR(x473);
   int* x477 = CTYPES_ADDR_OF_FATPTR(x472);
   int x478 = uv_tcp_getpeername(x475, x476, x477);
   return Val_long(x478);
}
value luv_stub_96_uv_tcp_connect(value x482, value x481, value x480,
                                 value x479)
{
   uv_connect_t* x483 = CTYPES_ADDR_OF_FATPTR(x482);
   uv_tcp_t* x484 = CTYPES_ADDR_OF_FATPTR(x481);
   struct sockaddr* x485 = CTYPES_ADDR_OF_FATPTR(x480);
   void(* x486)(uv_connect_t*, int) = CTYPES_ADDR_OF_FATPTR(x479);
   int x487 = uv_tcp_connect(x483, x484, x485, x486);
   return Val_long(x487);
}
value luv_stub_97_uv_tcp_close_reset(value x489, value x488)
{
   uv_tcp_t* x490 = CTYPES_ADDR_OF_FATPTR(x489);
   void(* x491)(uv_handle_t*) = CTYPES_ADDR_OF_FATPTR(x488);
   int x492 = uv_tcp_close_reset(x490, x491);
   return Val_long(x492);
}
value luv_stub_98_uv_pipe_init(value x495, value x494, value x493)
{
   uv_loop_t* x496 = CTYPES_ADDR_OF_FATPTR(x495);
   uv_pipe_t* x497 = CTYPES_ADDR_OF_FATPTR(x494);
   _Bool x498 = Bool_val(x493);
   int x501 = uv_pipe_init(x496, x497, x498);
   return Val_long(x501);
}
value luv_stub_99_uv_pipe(value x504, value x503, value x502)
{
   int* x505 = CTYPES_ADDR_OF_FATPTR(x504);
   int x506 = Long_val(x503);
   int x509 = Long_val(x502);
   int x512 = uv_pipe(x505, x506, x509);
   return Val_long(x512);
}
value luv_stub_100_uv_pipe_open(value x514, value x513)
{
   uv_pipe_t* x515 = CTYPES_ADDR_OF_FATPTR(x514);
   int x516 = Long_val(x513);
   int x519 = uv_pipe_open(x515, x516);
   return Val_long(x519);
}
value luv_stub_101_uv_pipe_connect(value x523, value x522, value x521,
                                   value x520)
{
   uv_connect_t* x524 = CTYPES_ADDR_OF_FATPTR(x523);
   uv_pipe_t* x525 = CTYPES_ADDR_OF_FATPTR(x522);
   char* x526 = CTYPES_PTR_OF_OCAML_STRING(x521);
   void(* x527)(uv_connect_t*, int) = CTYPES_ADDR_OF_FATPTR(x520);
   uv_pipe_connect(x524, x525, x526, x527);
   return Val_unit;
}
value luv_stub_102_uv_pipe_getsockname(value x531, value x530, value x529)
{
   uv_pipe_t* x532 = CTYPES_ADDR_OF_FATPTR(x531);
   unsigned char* x533 = CTYPES_PTR_OF_OCAML_BYTES(x530);
   size_t* x534 = CTYPES_ADDR_OF_FATPTR(x529);
   int x535 = uv_pipe_getsockname(x532, x533, x534);
   return Val_long(x535);
}
value luv_stub_103_uv_pipe_getpeername(value x538, value x537, value x536)
{
   uv_pipe_t* x539 = CTYPES_ADDR_OF_FATPTR(x538);
   unsigned char* x540 = CTYPES_PTR_OF_OCAML_BYTES(x537);
   size_t* x541 = CTYPES_ADDR_OF_FATPTR(x536);
   int x542 = uv_pipe_getpeername(x539, x540, x541);
   return Val_long(x542);
}
value luv_stub_104_uv_pipe_pending_instances(value x544, value x543)
{
   uv_pipe_t* x545 = CTYPES_ADDR_OF_FATPTR(x544);
   int x546 = Long_val(x543);
   uv_pipe_pending_instances(x545, x546);
   return Val_unit;
}
value luv_stub_105_uv_pipe_pending_count(value x550)
{
   uv_pipe_t* x551 = CTYPES_ADDR_OF_FATPTR(x550);
   int x552 = uv_pipe_pending_count(x551);
   return Val_long(x552);
}
value luv_stub_106_uv_pipe_pending_type(value x553)
{
   uv_pipe_t* x554 = CTYPES_ADDR_OF_FATPTR(x553);
   int x555 = uv_pipe_pending_type(x554);
   return Val_long(x555);
}
value luv_stub_107_uv_pipe_chmod(value x557, value x556)
{
   uv_pipe_t* x558 = CTYPES_ADDR_OF_FATPTR(x557);
   int x559 = Long_val(x556);
   int x562 = uv_pipe_chmod(x558, x559);
   return Val_long(x562);
}
value luv_stub_108_uv_tty_init(value x566, value x565, value x564,
                               value x563)
{
   uv_loop_t* x567 = CTYPES_ADDR_OF_FATPTR(x566);
   uv_tty_t* x568 = CTYPES_ADDR_OF_FATPTR(x565);
   int x569 = Long_val(x564);
   int x572 = Long_val(x563);
   int x575 = uv_tty_init(x567, x568, x569, x572);
   return Val_long(x575);
}
value luv_stub_109_uv_tty_set_mode(value x577, value x576)
{
   uv_tty_t* x578 = CTYPES_ADDR_OF_FATPTR(x577);
   uint32_t x579 = Uint32_val(x576);
   int x582 = uv_tty_set_mode(x578, x579);
   return Val_long(x582);
}
value luv_stub_110_uv_tty_reset_mode(value x583)
{
   int x584 = uv_tty_reset_mode();
   return Val_long(x584);
}
value luv_stub_111_uv_tty_get_winsize(value x587, value x586, value x585)
{
   uv_tty_t* x588 = CTYPES_ADDR_OF_FATPTR(x587);
   int* x589 = CTYPES_ADDR_OF_FATPTR(x586);
   int* x590 = CTYPES_ADDR_OF_FATPTR(x585);
   int x591 = uv_tty_get_winsize(x588, x589, x590);
   return Val_long(x591);
}
value luv_stub_112_uv_tty_set_vterm_state(value x592)
{
   uint32_t x593 = Uint32_val(x592);
   uv_tty_set_vterm_state(x593);
   return Val_unit;
}
value luv_stub_113_uv_tty_get_vterm_state(value x597)
{
   uv_tty_vtermstate_t* x598 = CTYPES_ADDR_OF_FATPTR(x597);
   int x599 = uv_tty_get_vterm_state(x598);
   return Val_long(x599);
}
value luv_stub_114_uv_udp_init(value x601, value x600)
{
   uv_loop_t* x602 = CTYPES_ADDR_OF_FATPTR(x601);
   uv_udp_t* x603 = CTYPES_ADDR_OF_FATPTR(x600);
   int x604 = uv_udp_init(x602, x603);
   return Val_long(x604);
}
value luv_stub_115_uv_udp_init_ex(value x607, value x606, value x605)
{
   uv_loop_t* x608 = CTYPES_ADDR_OF_FATPTR(x607);
   uv_udp_t* x609 = CTYPES_ADDR_OF_FATPTR(x606);
   unsigned int x610 = ctypes_uint_val(x605);
   int x613 = uv_udp_init_ex(x608, x609, x610);
   return Val_long(x613);
}
value luv_stub_116_uv_udp_open(value x615, value x614)
{
   uv_udp_t* x616 = CTYPES_ADDR_OF_FATPTR(x615);
   void* x617 = CTYPES_ADDR_OF_FATPTR(x614);
   uv_os_sock_t x619 = *(uv_os_sock_t*)x617;
   int x620 = uv_udp_open(x616, x619);
   return Val_long(x620);
}
value luv_stub_117_uv_udp_bind(value x623, value x622, value x621)
{
   uv_udp_t* x624 = CTYPES_ADDR_OF_FATPTR(x623);
   struct sockaddr* x625 = CTYPES_ADDR_OF_FATPTR(x622);
   int x626 = Long_val(x621);
   int x629 = uv_udp_bind(x624, x625, x626);
   return Val_long(x629);
}
value luv_stub_118_uv_udp_connect(value x631, value x630)
{
   uv_udp_t* x632 = CTYPES_ADDR_OF_FATPTR(x631);
   struct sockaddr* x633 = CTYPES_ADDR_OF_FATPTR(x630);
   int x634 = uv_udp_connect(x632, x633);
   return Val_long(x634);
}
value luv_stub_119_uv_udp_getpeername(value x637, value x636, value x635)
{
   uv_udp_t* x638 = CTYPES_ADDR_OF_FATPTR(x637);
   struct sockaddr* x639 = CTYPES_ADDR_OF_FATPTR(x636);
   int* x640 = CTYPES_ADDR_OF_FATPTR(x635);
   int x641 = uv_udp_getpeername(x638, x639, x640);
   return Val_long(x641);
}
value luv_stub_120_uv_udp_getsockname(value x644, value x643, value x642)
{
   uv_udp_t* x645 = CTYPES_ADDR_OF_FATPTR(x644);
   struct sockaddr* x646 = CTYPES_ADDR_OF_FATPTR(x643);
   int* x647 = CTYPES_ADDR_OF_FATPTR(x642);
   int x648 = uv_udp_getsockname(x645, x646, x647);
   return Val_long(x648);
}
value luv_stub_121_uv_udp_set_membership(value x652, value x651, value x650,
                                         value x649)
{
   uv_udp_t* x653 = CTYPES_ADDR_OF_FATPTR(x652);
   char* x654 = CTYPES_PTR_OF_OCAML_STRING(x651);
   char* x655 = CTYPES_PTR_OF_OCAML_STRING(x650);
   uint32_t x656 = Uint32_val(x649);
   int x659 = uv_udp_set_membership(x653, x654, x655, x656);
   return Val_long(x659);
}
value luv_stub_122_uv_udp_set_source_membership(value x664, value x663,
                                                value x662, value x661,
                                                value x660)
{
   uv_udp_t* x665 = CTYPES_ADDR_OF_FATPTR(x664);
   char* x666 = CTYPES_PTR_OF_OCAML_STRING(x663);
   char* x667 = CTYPES_PTR_OF_OCAML_STRING(x662);
   char* x668 = CTYPES_PTR_OF_OCAML_STRING(x661);
   uint32_t x669 = Uint32_val(x660);
   int x672 = uv_udp_set_source_membership(x665, x666, x667, x668, x669);
   return Val_long(x672);
}
value luv_stub_123_uv_udp_set_multicast_loop(value x674, value x673)
{
   uv_udp_t* x675 = CTYPES_ADDR_OF_FATPTR(x674);
   _Bool x676 = Bool_val(x673);
   int x679 = uv_udp_set_multicast_loop(x675, x676);
   return Val_long(x679);
}
value luv_stub_124_uv_udp_set_multicast_ttl(value x681, value x680)
{
   uv_udp_t* x682 = CTYPES_ADDR_OF_FATPTR(x681);
   int x683 = Long_val(x680);
   int x686 = uv_udp_set_multicast_ttl(x682, x683);
   return Val_long(x686);
}
value luv_stub_125_uv_udp_set_multicast_interface(value x688, value x687)
{
   uv_udp_t* x689 = CTYPES_ADDR_OF_FATPTR(x688);
   char* x690 = CTYPES_PTR_OF_OCAML_STRING(x687);
   int x691 = uv_udp_set_multicast_interface(x689, x690);
   return Val_long(x691);
}
value luv_stub_126_uv_udp_set_broadcast(value x693, value x692)
{
   uv_udp_t* x694 = CTYPES_ADDR_OF_FATPTR(x693);
   _Bool x695 = Bool_val(x692);
   int x698 = uv_udp_set_broadcast(x694, x695);
   return Val_long(x698);
}
value luv_stub_127_uv_udp_set_ttl(value x700, value x699)
{
   uv_udp_t* x701 = CTYPES_ADDR_OF_FATPTR(x700);
   int x702 = Long_val(x699);
   int x705 = uv_udp_set_ttl(x701, x702);
   return Val_long(x705);
}
value luv_stub_128_luv_get_send_trampoline(value x706)
{
   void(* x707)(uv_udp_send_t*, int) = luv_get_send_trampoline();
   return CTYPES_FROM_PTR(x707);
}
value luv_stub_129_uv_udp_send(value x713, value x712, value x711,
                               value x710, value x709, value x708)
{
   uv_udp_send_t* x714 = CTYPES_ADDR_OF_FATPTR(x713);
   uv_udp_t* x715 = CTYPES_ADDR_OF_FATPTR(x712);
   uv_buf_t* x716 = CTYPES_ADDR_OF_FATPTR(x711);
   unsigned int x717 = ctypes_uint_val(x710);
   struct sockaddr* x720 = CTYPES_ADDR_OF_FATPTR(x709);
   void(* x721)(uv_udp_send_t*, int) = CTYPES_ADDR_OF_FATPTR(x708);
   int x722 = uv_udp_send(x714, x715, x716, x717, x720, x721);
   return Val_long(x722);
}
value luv_stub_129_uv_udp_send_byte6(value* argv, int argc)
{
   value x723 = argv[5];
   value x724 = argv[4];
   value x725 = argv[3];
   value x726 = argv[2];
   value x727 = argv[1];
   value x728 = argv[0];
   return luv_stub_129_uv_udp_send(x728, x727, x726, x725, x724, x723);
}
value luv_stub_130_uv_udp_try_send(value x732, value x731, value x730,
                                   value x729)
{
   uv_udp_t* x733 = CTYPES_ADDR_OF_FATPTR(x732);
   uv_buf_t* x734 = CTYPES_ADDR_OF_FATPTR(x731);
   unsigned int x735 = ctypes_uint_val(x730);
   struct sockaddr* x738 = CTYPES_ADDR_OF_FATPTR(x729);
   int x739 = uv_udp_try_send(x733, x734, x735, x738);
   return Val_long(x739);
}
value luv_stub_131_luv_get_recv_trampoline(value x740)
{
   void(* x741)(uv_udp_t*, ssize_t, uv_buf_t*, struct sockaddr*, unsigned int)
   = luv_get_recv_trampoline();
   return CTYPES_FROM_PTR(x741);
}
value luv_stub_132_luv_udp_recv_start(value x744, value x743, value x742)
{
   uv_udp_t* x745 = CTYPES_ADDR_OF_FATPTR(x744);
   void(* x746)(uv_handle_t*, size_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x743);
   void(* x747)(uv_udp_t*, ssize_t, uv_buf_t*, struct sockaddr*, unsigned int)
   = CTYPES_ADDR_OF_FATPTR(x742);
   int x748 = luv_udp_recv_start(x745, x746, x747);
   return Val_long(x748);
}
value luv_stub_133_uv_udp_recv_stop(value x749)
{
   uv_udp_t* x750 = CTYPES_ADDR_OF_FATPTR(x749);
   int x751 = uv_udp_recv_stop(x750);
   return Val_long(x751);
}
value luv_stub_134_uv_udp_using_recvmmsg(value x752)
{
   uv_udp_t* x753 = CTYPES_ADDR_OF_FATPTR(x752);
   _Bool x754 = uv_udp_using_recvmmsg(x753);
   return Val_bool(x754);
}
value luv_stub_135_uv_udp_get_send_queue_size(value x755)
{
   uv_udp_t* x756 = CTYPES_ADDR_OF_FATPTR(x755);
   size_t x757 = uv_udp_get_send_queue_size(x756);
   return ctypes_copy_size_t(x757);
}
value luv_stub_136_uv_udp_get_send_queue_count(value x758)
{
   uv_udp_t* x759 = CTYPES_ADDR_OF_FATPTR(x758);
   size_t x760 = uv_udp_get_send_queue_count(x759);
   return ctypes_copy_size_t(x760);
}
value luv_stub_137_luv_get_exit_trampoline(value x761)
{
   void(* x762)(uv_process_t*, int64_t, int) = luv_get_exit_trampoline();
   return CTYPES_FROM_PTR(x762);
}
value luv_stub_138_luv_null_exit_trampoline(value x763)
{
   void(* x764)(uv_process_t*, int64_t, int) = luv_null_exit_trampoline();
   return CTYPES_FROM_PTR(x764);
}
value luv_stub_139_uv_disable_stdio_inheritance(value x765)
{
   uv_disable_stdio_inheritance();
   return Val_unit;
}
value luv_stub_140_luv_spawn(value x782, value x781, value x780, value x779,
                             value x778, value x777, value x776, value x775,
                             value x774, value x773, value x772, value x771,
                             value x770, value x769, value x768, value x767)
{
   uv_loop_t* x783 = CTYPES_ADDR_OF_FATPTR(x782);
   uv_process_t* x784 = CTYPES_ADDR_OF_FATPTR(x781);
   void(* x785)(uv_process_t*, int64_t, int) = CTYPES_ADDR_OF_FATPTR(x780);
   char* x786 = CTYPES_ADDR_OF_FATPTR(x779);
   char** x787 = CTYPES_ADDR_OF_FATPTR(x778);
   int x788 = Long_val(x777);
   char** x791 = CTYPES_ADDR_OF_FATPTR(x776);
   int x792 = Long_val(x775);
   _Bool x795 = Bool_val(x774);
   char* x798 = CTYPES_ADDR_OF_FATPTR(x773);
   _Bool x799 = Bool_val(x772);
   int x802 = Long_val(x771);
   int x805 = Long_val(x770);
   uv_stdio_container_t* x808 = CTYPES_ADDR_OF_FATPTR(x769);
   int x809 = Long_val(x768);
   int x812 = Long_val(x767);
   int x815 =
   luv_spawn(x783, x784, x785, x786, x787, x788, x791, x792, x795, x798,
             x799, x802, x805, x808, x809, x812);
   return Val_long(x815);
}
value luv_stub_140_luv_spawn_byte16(value* argv, int argc)
{
   value x816 = argv[15];
   value x817 = argv[14];
   value x818 = argv[13];
   value x819 = argv[12];
   value x820 = argv[11];
   value x821 = argv[10];
   value x822 = argv[9];
   value x823 = argv[8];
   value x824 = argv[7];
   value x825 = argv[6];
   value x826 = argv[5];
   value x827 = argv[4];
   value x828 = argv[3];
   value x829 = argv[2];
   value x830 = argv[1];
   value x831 = argv[0];
   return
     luv_stub_140_luv_spawn(x831, x830, x829, x828, x827, x826, x825, 
                            x824, x823, x822, x821, x820, x819, x818, 
                            x817, x816);
}
value luv_stub_141_uv_process_kill(value x833, value x832)
{
   uv_process_t* x834 = CTYPES_ADDR_OF_FATPTR(x833);
   int x835 = Long_val(x832);
   int x838 = uv_process_kill(x834, x835);
   return Val_long(x838);
}
value luv_stub_142_uv_kill(value x840, value x839)
{
   int x841 = Long_val(x840);
   int x844 = Long_val(x839);
   int x847 = uv_kill(x841, x844);
   return Val_long(x847);
}
value luv_stub_143_uv_process_get_pid(value x848)
{
   uv_process_t* x849 = CTYPES_ADDR_OF_FATPTR(x848);
   int x850 = uv_process_get_pid(x849);
   return Val_long(x850);
}
value luv_stub_144_luv_get_fs_event_trampoline(value x851)
{
   void(* x852)(uv_fs_event_t*, char*, int, int) =
   luv_get_fs_event_trampoline();
   return CTYPES_FROM_PTR(x852);
}
value luv_stub_145_uv_fs_event_init(value x854, value x853)
{
   uv_loop_t* x855 = CTYPES_ADDR_OF_FATPTR(x854);
   uv_fs_event_t* x856 = CTYPES_ADDR_OF_FATPTR(x853);
   int x857 = uv_fs_event_init(x855, x856);
   return Val_long(x857);
}
value luv_stub_146_luv_fs_event_start(value x861, value x860, value x859,
                                      value x858)
{
   uv_fs_event_t* x862 = CTYPES_ADDR_OF_FATPTR(x861);
   void(* x863)(uv_fs_event_t*, char*, int, int) =
   CTYPES_ADDR_OF_FATPTR(x860);
   char* x864 = CTYPES_PTR_OF_OCAML_STRING(x859);
   int x865 = Long_val(x858);
   int x868 = luv_fs_event_start(x862, x863, x864, x865);
   return Val_long(x868);
}
value luv_stub_147_uv_fs_event_stop(value x869)
{
   uv_fs_event_t* x870 = CTYPES_ADDR_OF_FATPTR(x869);
   int x871 = uv_fs_event_stop(x870);
   return Val_long(x871);
}
value luv_stub_148_luv_get_fs_poll_trampoline(value x872)
{
   void(* x873)(uv_fs_poll_t*, int, uv_stat_t*, uv_stat_t*) =
   luv_get_fs_poll_trampoline();
   return CTYPES_FROM_PTR(x873);
}
value luv_stub_149_uv_fs_poll_init(value x875, value x874)
{
   uv_loop_t* x876 = CTYPES_ADDR_OF_FATPTR(x875);
   uv_fs_poll_t* x877 = CTYPES_ADDR_OF_FATPTR(x874);
   int x878 = uv_fs_poll_init(x876, x877);
   return Val_long(x878);
}
value luv_stub_150_luv_fs_poll_start(value x882, value x881, value x880,
                                     value x879)
{
   uv_fs_poll_t* x883 = CTYPES_ADDR_OF_FATPTR(x882);
   void(* x884)(uv_fs_poll_t*, int, uv_stat_t*, uv_stat_t*) =
   CTYPES_ADDR_OF_FATPTR(x881);
   char* x885 = CTYPES_PTR_OF_OCAML_STRING(x880);
   int x886 = Long_val(x879);
   int x889 = luv_fs_poll_start(x883, x884, x885, x886);
   return Val_long(x889);
}
value luv_stub_151_uv_fs_poll_stop(value x890)
{
   uv_fs_poll_t* x891 = CTYPES_ADDR_OF_FATPTR(x890);
   int x892 = uv_fs_poll_stop(x891);
   return Val_long(x892);
}
value luv_stub_152_luv_get_getaddrinfo_trampoline(value x893)
{
   void(* x894)(uv_getaddrinfo_t*, int, struct addrinfo*) =
   luv_get_getaddrinfo_trampoline();
   return CTYPES_FROM_PTR(x894);
}
value luv_stub_153_uv_getaddrinfo(value x900, value x899, value x898,
                                  value x897, value x896, value x895)
{
   uv_loop_t* x901 = CTYPES_ADDR_OF_FATPTR(x900);
   uv_getaddrinfo_t* x902 = CTYPES_ADDR_OF_FATPTR(x899);
   void(* x903)(uv_getaddrinfo_t*, int, struct addrinfo*) =
   CTYPES_ADDR_OF_FATPTR(x898);
   char* x904 = CTYPES_ADDR_OF_FATPTR(x897);
   char* x905 = CTYPES_ADDR_OF_FATPTR(x896);
   struct addrinfo* x906 = CTYPES_ADDR_OF_FATPTR(x895);
   int x907 = uv_getaddrinfo(x901, x902, x903, x904, x905, x906);
   return Val_long(x907);
}
value luv_stub_153_uv_getaddrinfo_byte6(value* argv, int argc)
{
   value x908 = argv[5];
   value x909 = argv[4];
   value x910 = argv[3];
   value x911 = argv[2];
   value x912 = argv[1];
   value x913 = argv[0];
   return luv_stub_153_uv_getaddrinfo(x913, x912, x911, x910, x909, x908);
}
value luv_stub_154_uv_freeaddrinfo(value x914)
{
   struct addrinfo* x915 = CTYPES_ADDR_OF_FATPTR(x914);
   uv_freeaddrinfo(x915);
   return Val_unit;
}
value luv_stub_155_luv_get_getnameinfo_trampoline(value x917)
{
   void(* x918)(uv_getnameinfo_t*, int, char*, char*) =
   luv_get_getnameinfo_trampoline();
   return CTYPES_FROM_PTR(x918);
}
value luv_stub_156_luv_getnameinfo(value x923, value x922, value x921,
                                   value x920, value x919)
{
   uv_loop_t* x924 = CTYPES_ADDR_OF_FATPTR(x923);
   uv_getnameinfo_t* x925 = CTYPES_ADDR_OF_FATPTR(x922);
   void(* x926)(uv_getnameinfo_t*, int, char*, char*) =
   CTYPES_ADDR_OF_FATPTR(x921);
   struct sockaddr* x927 = CTYPES_ADDR_OF_FATPTR(x920);
   int x928 = Long_val(x919);
   int x931 = luv_getnameinfo(x924, x925, x926, x927, x928);
   return Val_long(x931);
}
value luv_stub_157_uv_dlopen(value x933, value x932)
{
   char* x934 = CTYPES_PTR_OF_OCAML_STRING(x933);
   uv_lib_t* x935 = CTYPES_ADDR_OF_FATPTR(x932);
   _Bool x936 = uv_dlopen(x934, x935);
   return Val_bool(x936);
}
value luv_stub_158_uv_dlclose(value x937)
{
   uv_lib_t* x938 = CTYPES_ADDR_OF_FATPTR(x937);
   uv_dlclose(x938);
   return Val_unit;
}
value luv_stub_159_uv_dlsym(value x942, value x941, value x940)
{
   uv_lib_t* x943 = CTYPES_ADDR_OF_FATPTR(x942);
   char* x944 = CTYPES_PTR_OF_OCAML_STRING(x941);
   void** x945 = CTYPES_ADDR_OF_FATPTR(x940);
   _Bool x946 = uv_dlsym(x943, x944, x945);
   return Val_bool(x946);
}
value luv_stub_160_luv_dlerror(value x947)
{
   uv_lib_t* x948 = CTYPES_ADDR_OF_FATPTR(x947);
   char* x949 = luv_dlerror(x948);
   return CTYPES_FROM_PTR(x949);
}
value luv_stub_161_uv_get_osfhandle(value x950)
{
   int x951 = Long_val(x950);
   uv_os_fd_t x954 = uv_get_osfhandle(x951);
   return ctypes_copy_bytes(&x954, 4);
}
value luv_stub_162_uv_open_osfhandle(value x955)
{
   void* x956 = CTYPES_ADDR_OF_FATPTR(x955);
   uv_os_fd_t x958 = *(uv_os_fd_t*)x956;
   int x959 = uv_open_osfhandle(x958);
   return Val_long(x959);
}
value luv_stub_163_luv_is_invalid_handle_value(value x960)
{
   void* x961 = CTYPES_ADDR_OF_FATPTR(x960);
   uv_os_fd_t x963 = *(uv_os_fd_t*)x961;
   _Bool x964 = luv_is_invalid_handle_value(x963);
   return Val_bool(x964);
}
value luv_stub_164_luv_is_invalid_socket_value(value x965)
{
   void* x966 = CTYPES_ADDR_OF_FATPTR(x965);
   uv_os_sock_t x968 = *(uv_os_sock_t*)x966;
   _Bool x969 = luv_is_invalid_socket_value(x968);
   return Val_bool(x969);
}
value luv_stub_165_memcpy(value x972, value x971, value x970)
{
   unsigned char* x973 = CTYPES_PTR_OF_OCAML_BYTES(x972);
   char* x974 = CTYPES_ADDR_OF_FATPTR(x971);
   int x975 = Long_val(x970);
   memcpy(x973, x974, x975);
   return Val_unit;
}
value luv_stub_166_memcpy(value x981, value x980, value x979)
{
   char* x982 = CTYPES_ADDR_OF_FATPTR(x981);
   unsigned char* x983 = CTYPES_PTR_OF_OCAML_BYTES(x980);
   int x984 = Long_val(x979);
   memcpy(x982, x983, x984);
   return Val_unit;
}
value luv_stub_167_luv_get_work_trampoline(value x988)
{
   void(* x989)(uv_work_t*) = luv_get_work_trampoline();
   return CTYPES_FROM_PTR(x989);
}
value luv_stub_168_luv_get_after_work_trampoline(value x990)
{
   void(* x991)(uv_work_t*, int) = luv_get_after_work_trampoline();
   return CTYPES_FROM_PTR(x991);
}
value luv_stub_169_luv_get_c_work_trampoline(value x992)
{
   void(* x993)(uv_work_t*) = luv_get_c_work_trampoline();
   return CTYPES_FROM_PTR(x993);
}
value luv_stub_170_luv_get_after_c_work_trampoline(value x994)
{
   void(* x995)(uv_work_t*, int) = luv_get_after_c_work_trampoline();
   return CTYPES_FROM_PTR(x995);
}
value luv_stub_171_luv_add_c_function_and_argument(value x998, value x997,
                                                   value x996)
{
   uv_work_t* x999 = CTYPES_ADDR_OF_FATPTR(x998);
   intnat x1000 = Nativeint_val(x997);
   intnat x1003 = Nativeint_val(x996);
   _Bool x1006 = luv_add_c_function_and_argument(x999, x1000, x1003);
   return Val_bool(x1006);
}
value luv_stub_172_uv_queue_work(value x1010, value x1009, value x1008,
                                 value x1007)
{
   uv_loop_t* x1011 = CTYPES_ADDR_OF_FATPTR(x1010);
   uv_work_t* x1012 = CTYPES_ADDR_OF_FATPTR(x1009);
   void(* x1013)(uv_work_t*) = CTYPES_ADDR_OF_FATPTR(x1008);
   void(* x1014)(uv_work_t*, int) = CTYPES_ADDR_OF_FATPTR(x1007);
   int x1015 = uv_queue_work(x1011, x1012, x1013, x1014);
   return Val_long(x1015);
}
value luv_stub_173_luv_get_thread_trampoline(value x1016)
{
   void(* x1017)(void*) = luv_get_thread_trampoline();
   return CTYPES_FROM_PTR(x1017);
}
value luv_stub_174_uv_thread_create_ex(value x1021, value x1020, value x1019,
                                       value x1018)
{
   uv_thread_t* x1022 = CTYPES_ADDR_OF_FATPTR(x1021);
   uv_thread_options_t* x1023 = CTYPES_ADDR_OF_FATPTR(x1020);
   void(* x1024)(void*) = CTYPES_ADDR_OF_FATPTR(x1019);
   void* x1025 = CTYPES_ADDR_OF_FATPTR(x1018);
   int x1026 = uv_thread_create_ex(x1022, x1023, x1024, x1025);
   return Val_long(x1026);
}
value luv_stub_175_luv_thread_create_c(value x1030, value x1029, value x1028,
                                       value x1027)
{
   uv_thread_t* x1031 = CTYPES_ADDR_OF_FATPTR(x1030);
   uv_thread_options_t* x1032 = CTYPES_ADDR_OF_FATPTR(x1029);
   intnat x1033 = Nativeint_val(x1028);
   intnat x1036 = Nativeint_val(x1027);
   int x1039 = luv_thread_create_c(x1031, x1032, x1033, x1036);
   return Val_long(x1039);
}
value luv_stub_176_uv_thread_self(value x1040)
{
   uv_thread_t x1041 = uv_thread_self();
   return ctypes_copy_bytes(&x1041, 8);
}
value luv_stub_177_uv_thread_equal(value x1043, value x1042)
{
   uv_thread_t* x1044 = CTYPES_ADDR_OF_FATPTR(x1043);
   uv_thread_t* x1045 = CTYPES_ADDR_OF_FATPTR(x1042);
   _Bool x1046 = uv_thread_equal(x1044, x1045);
   return Val_bool(x1046);
}
value luv_stub_178_uv_key_create(value x1047)
{
   uv_key_t* x1048 = CTYPES_ADDR_OF_FATPTR(x1047);
   int x1049 = uv_key_create(x1048);
   return Val_long(x1049);
}
value luv_stub_179_uv_key_delete(value x1050)
{
   uv_key_t* x1051 = CTYPES_ADDR_OF_FATPTR(x1050);
   uv_key_delete(x1051);
   return Val_unit;
}
value luv_stub_180_uv_key_get(value x1053)
{
   uv_key_t* x1054 = CTYPES_ADDR_OF_FATPTR(x1053);
   void* x1055 = uv_key_get(x1054);
   return CTYPES_FROM_PTR(x1055);
}
value luv_stub_181_uv_key_set(value x1057, value x1056)
{
   uv_key_t* x1058 = CTYPES_ADDR_OF_FATPTR(x1057);
   void* x1059 = CTYPES_ADDR_OF_FATPTR(x1056);
   uv_key_set(x1058, x1059);
   return Val_unit;
}
value luv_stub_182_luv_get_once_trampoline(value x1061)
{
   void(* x1062)(void) = luv_get_once_trampoline();
   return CTYPES_FROM_PTR(x1062);
}
value luv_stub_183_luv_once_init(value x1063)
{
   uv_once_t* x1064 = CTYPES_ADDR_OF_FATPTR(x1063);
   int x1065 = luv_once_init(x1064);
   return Val_long(x1065);
}
value luv_stub_184_uv_once(value x1067, value x1066)
{
   uv_once_t* x1068 = CTYPES_ADDR_OF_FATPTR(x1067);
   void(* x1069)(void) = CTYPES_ADDR_OF_FATPTR(x1066);
   uv_once(x1068, x1069);
   return Val_unit;
}
value luv_stub_185_uv_mutex_init(value x1071)
{
   uv_mutex_t* x1072 = CTYPES_ADDR_OF_FATPTR(x1071);
   int x1073 = uv_mutex_init(x1072);
   return Val_long(x1073);
}
value luv_stub_186_uv_mutex_init_recursive(value x1074)
{
   uv_mutex_t* x1075 = CTYPES_ADDR_OF_FATPTR(x1074);
   int x1076 = uv_mutex_init_recursive(x1075);
   return Val_long(x1076);
}
value luv_stub_187_uv_mutex_destroy(value x1077)
{
   uv_mutex_t* x1078 = CTYPES_ADDR_OF_FATPTR(x1077);
   uv_mutex_destroy(x1078);
   return Val_unit;
}
value luv_stub_188_uv_mutex_trylock(value x1080)
{
   uv_mutex_t* x1081 = CTYPES_ADDR_OF_FATPTR(x1080);
   int x1082 = uv_mutex_trylock(x1081);
   return Val_long(x1082);
}
value luv_stub_189_uv_mutex_unlock(value x1083)
{
   uv_mutex_t* x1084 = CTYPES_ADDR_OF_FATPTR(x1083);
   uv_mutex_unlock(x1084);
   return Val_unit;
}
value luv_stub_190_uv_rwlock_init(value x1086)
{
   uv_rwlock_t* x1087 = CTYPES_ADDR_OF_FATPTR(x1086);
   int x1088 = uv_rwlock_init(x1087);
   return Val_long(x1088);
}
value luv_stub_191_uv_rwlock_destroy(value x1089)
{
   uv_rwlock_t* x1090 = CTYPES_ADDR_OF_FATPTR(x1089);
   uv_rwlock_destroy(x1090);
   return Val_unit;
}
value luv_stub_192_uv_rwlock_tryrdlock(value x1092)
{
   uv_rwlock_t* x1093 = CTYPES_ADDR_OF_FATPTR(x1092);
   int x1094 = uv_rwlock_tryrdlock(x1093);
   return Val_long(x1094);
}
value luv_stub_193_uv_rwlock_rdunlock(value x1095)
{
   uv_rwlock_t* x1096 = CTYPES_ADDR_OF_FATPTR(x1095);
   uv_rwlock_rdunlock(x1096);
   return Val_unit;
}
value luv_stub_194_uv_rwlock_trywrlock(value x1098)
{
   uv_rwlock_t* x1099 = CTYPES_ADDR_OF_FATPTR(x1098);
   int x1100 = uv_rwlock_trywrlock(x1099);
   return Val_long(x1100);
}
value luv_stub_195_uv_rwlock_wrunlock(value x1101)
{
   uv_rwlock_t* x1102 = CTYPES_ADDR_OF_FATPTR(x1101);
   uv_rwlock_wrunlock(x1102);
   return Val_unit;
}
value luv_stub_196_uv_sem_init(value x1105, value x1104)
{
   uv_sem_t* x1106 = CTYPES_ADDR_OF_FATPTR(x1105);
   unsigned int x1107 = ctypes_uint_val(x1104);
   int x1110 = uv_sem_init(x1106, x1107);
   return Val_long(x1110);
}
value luv_stub_197_uv_sem_destroy(value x1111)
{
   uv_sem_t* x1112 = CTYPES_ADDR_OF_FATPTR(x1111);
   uv_sem_destroy(x1112);
   return Val_unit;
}
value luv_stub_198_uv_sem_post(value x1114)
{
   uv_sem_t* x1115 = CTYPES_ADDR_OF_FATPTR(x1114);
   uv_sem_post(x1115);
   return Val_unit;
}
value luv_stub_199_uv_sem_trywait(value x1117)
{
   uv_sem_t* x1118 = CTYPES_ADDR_OF_FATPTR(x1117);
   int x1119 = uv_sem_trywait(x1118);
   return Val_long(x1119);
}
value luv_stub_200_uv_cond_init(value x1120)
{
   uv_cond_t* x1121 = CTYPES_ADDR_OF_FATPTR(x1120);
   int x1122 = uv_cond_init(x1121);
   return Val_long(x1122);
}
value luv_stub_201_uv_cond_destroy(value x1123)
{
   uv_cond_t* x1124 = CTYPES_ADDR_OF_FATPTR(x1123);
   uv_cond_destroy(x1124);
   return Val_unit;
}
value luv_stub_202_uv_cond_signal(value x1126)
{
   uv_cond_t* x1127 = CTYPES_ADDR_OF_FATPTR(x1126);
   uv_cond_signal(x1127);
   return Val_unit;
}
value luv_stub_203_uv_cond_broadcast(value x1129)
{
   uv_cond_t* x1130 = CTYPES_ADDR_OF_FATPTR(x1129);
   uv_cond_broadcast(x1130);
   return Val_unit;
}
value luv_stub_204_uv_barrier_init(value x1133, value x1132)
{
   uv_barrier_t* x1134 = CTYPES_ADDR_OF_FATPTR(x1133);
   unsigned int x1135 = ctypes_uint_val(x1132);
   int x1138 = uv_barrier_init(x1134, x1135);
   return Val_long(x1138);
}
value luv_stub_205_uv_barrier_destroy(value x1139)
{
   uv_barrier_t* x1140 = CTYPES_ADDR_OF_FATPTR(x1139);
   uv_barrier_destroy(x1140);
   return Val_unit;
}
value luv_stub_206_uv_ip4_addr(value x1144, value x1143, value x1142)
{
   char* x1145 = CTYPES_PTR_OF_OCAML_STRING(x1144);
   int x1146 = Long_val(x1143);
   struct sockaddr_in* x1149 = CTYPES_ADDR_OF_FATPTR(x1142);
   int x1150 = uv_ip4_addr(x1145, x1146, x1149);
   return Val_long(x1150);
}
value luv_stub_207_uv_ip6_addr(value x1153, value x1152, value x1151)
{
   char* x1154 = CTYPES_PTR_OF_OCAML_STRING(x1153);
   int x1155 = Long_val(x1152);
   struct sockaddr_in6* x1158 = CTYPES_ADDR_OF_FATPTR(x1151);
   int x1159 = uv_ip6_addr(x1154, x1155, x1158);
   return Val_long(x1159);
}
value luv_stub_208_uv_ip4_name(value x1162, value x1161, value x1160)
{
   struct sockaddr_in* x1163 = CTYPES_ADDR_OF_FATPTR(x1162);
   unsigned char* x1164 = CTYPES_PTR_OF_OCAML_BYTES(x1161);
   size_t x1165 = ctypes_size_t_val(x1160);
   int x1168 = uv_ip4_name(x1163, x1164, x1165);
   return Val_long(x1168);
}
value luv_stub_209_uv_ip6_name(value x1171, value x1170, value x1169)
{
   struct sockaddr_in6* x1172 = CTYPES_ADDR_OF_FATPTR(x1171);
   unsigned char* x1173 = CTYPES_PTR_OF_OCAML_BYTES(x1170);
   size_t x1174 = ctypes_size_t_val(x1169);
   int x1177 = uv_ip6_name(x1172, x1173, x1174);
   return Val_long(x1177);
}
value luv_stub_210_memcpy(value x1180, value x1179, value x1178)
{
   struct sockaddr_storage* x1181 = CTYPES_ADDR_OF_FATPTR(x1180);
   struct sockaddr* x1182 = CTYPES_ADDR_OF_FATPTR(x1179);
   int x1183 = Long_val(x1178);
   memcpy(x1181, x1182, x1183);
   return Val_unit;
}
value luv_stub_211_ntohs(value x1187)
{
   unsigned short x1188 = ctypes_ushort_val(x1187);
   unsigned short x1191 = ntohs(x1188);
   return ctypes_copy_ushort(x1191);
}
value luv_stub_212_luv_sa_family_to_int(value x1192)
{
   void* x1193 = CTYPES_ADDR_OF_FATPTR(x1192);
   sa_family_t x1195 = *(sa_family_t*)x1193;
   int x1196 = luv_sa_family_to_int(x1195);
   return Val_long(x1196);
}
value luv_stub_213_uv_resident_set_memory(value x1197)
{
   size_t* x1198 = CTYPES_ADDR_OF_FATPTR(x1197);
   int x1199 = uv_resident_set_memory(x1198);
   return Val_long(x1199);
}
value luv_stub_214_uv_uptime(value x1200)
{
   double* x1201 = CTYPES_ADDR_OF_FATPTR(x1200);
   int x1202 = uv_uptime(x1201);
   return Val_long(x1202);
}
value luv_stub_215_uv_loadavg(value x1203)
{
   double* x1204 = CTYPES_ADDR_OF_FATPTR(x1203);
   uv_loadavg(x1204);
   return Val_unit;
}
value luv_stub_216_uv_get_free_memory(value x1206)
{
   uint64_t x1207 = uv_get_free_memory();
   return integers_copy_uint64(x1207);
}
value luv_stub_217_uv_get_total_memory(value x1208)
{
   uint64_t x1209 = uv_get_total_memory();
   return integers_copy_uint64(x1209);
}
value luv_stub_218_uv_get_constrained_memory(value x1210)
{
   uint64_t x1211 = uv_get_constrained_memory();
   return integers_copy_uint64(x1211);
}
value luv_stub_219_uv_os_getpriority(value x1213, value x1212)
{
   int x1214 = Long_val(x1213);
   int* x1217 = CTYPES_ADDR_OF_FATPTR(x1212);
   int x1218 = uv_os_getpriority(x1214, x1217);
   return Val_long(x1218);
}
value luv_stub_220_uv_os_setpriority(value x1220, value x1219)
{
   int x1221 = Long_val(x1220);
   int x1224 = Long_val(x1219);
   int x1227 = uv_os_setpriority(x1221, x1224);
   return Val_long(x1227);
}
value luv_stub_221_uv_getrusage(value x1228)
{
   uv_rusage_t* x1229 = CTYPES_ADDR_OF_FATPTR(x1228);
   int x1230 = uv_getrusage(x1229);
   return Val_long(x1230);
}
value luv_stub_222_uv_os_getpid(value x1231)
{
   int x1232 = uv_os_getpid();
   return Val_long(x1232);
}
value luv_stub_223_uv_os_getppid(value x1233)
{
   int x1234 = uv_os_getppid();
   return Val_long(x1234);
}
value luv_stub_224_uv_cpu_info(value x1236, value x1235)
{
   uv_cpu_info_t** x1237 = CTYPES_ADDR_OF_FATPTR(x1236);
   int* x1238 = CTYPES_ADDR_OF_FATPTR(x1235);
   int x1239 = uv_cpu_info(x1237, x1238);
   return Val_long(x1239);
}
value luv_stub_225_uv_free_cpu_info(value x1241, value x1240)
{
   uv_cpu_info_t* x1242 = CTYPES_ADDR_OF_FATPTR(x1241);
   int x1243 = Long_val(x1240);
   uv_free_cpu_info(x1242, x1243);
   return Val_unit;
}
value luv_stub_226_uv_interface_addresses(value x1248, value x1247)
{
   struct uv_interface_address_s** x1249 = CTYPES_ADDR_OF_FATPTR(x1248);
   int* x1250 = CTYPES_ADDR_OF_FATPTR(x1247);
   int x1251 = uv_interface_addresses(x1249, x1250);
   return Val_long(x1251);
}
value luv_stub_227_uv_free_interface_addresses(value x1253, value x1252)
{
   struct uv_interface_address_s* x1254 = CTYPES_ADDR_OF_FATPTR(x1253);
   int x1255 = Long_val(x1252);
   uv_free_interface_addresses(x1254, x1255);
   return Val_unit;
}
value luv_stub_228_uv_if_indextoname(value x1261, value x1260, value x1259)
{
   unsigned int x1262 = ctypes_uint_val(x1261);
   unsigned char* x1265 = CTYPES_PTR_OF_OCAML_BYTES(x1260);
   size_t* x1266 = CTYPES_ADDR_OF_FATPTR(x1259);
   int x1267 = uv_if_indextoname(x1262, x1265, x1266);
   return Val_long(x1267);
}
value luv_stub_229_uv_if_indextoiid(value x1270, value x1269, value x1268)
{
   unsigned int x1271 = ctypes_uint_val(x1270);
   unsigned char* x1274 = CTYPES_PTR_OF_OCAML_BYTES(x1269);
   size_t* x1275 = CTYPES_ADDR_OF_FATPTR(x1268);
   int x1276 = uv_if_indextoiid(x1271, x1274, x1275);
   return Val_long(x1276);
}
value luv_stub_230_uv_os_gethostname(value x1278, value x1277)
{
   unsigned char* x1279 = CTYPES_PTR_OF_OCAML_BYTES(x1278);
   size_t* x1280 = CTYPES_ADDR_OF_FATPTR(x1277);
   int x1281 = uv_os_gethostname(x1279, x1280);
   return Val_long(x1281);
}
value luv_stub_231_uv_exepath(value x1283, value x1282)
{
   unsigned char* x1284 = CTYPES_PTR_OF_OCAML_BYTES(x1283);
   size_t* x1285 = CTYPES_ADDR_OF_FATPTR(x1282);
   int x1286 = uv_exepath(x1284, x1285);
   return Val_long(x1286);
}
value luv_stub_232_uv_cwd(value x1288, value x1287)
{
   unsigned char* x1289 = CTYPES_PTR_OF_OCAML_BYTES(x1288);
   size_t* x1290 = CTYPES_ADDR_OF_FATPTR(x1287);
   int x1291 = uv_cwd(x1289, x1290);
   return Val_long(x1291);
}
value luv_stub_233_uv_chdir(value x1292)
{
   char* x1293 = CTYPES_PTR_OF_OCAML_STRING(x1292);
   int x1294 = uv_chdir(x1293);
   return Val_long(x1294);
}
value luv_stub_234_uv_os_homedir(value x1296, value x1295)
{
   unsigned char* x1297 = CTYPES_PTR_OF_OCAML_BYTES(x1296);
   size_t* x1298 = CTYPES_ADDR_OF_FATPTR(x1295);
   int x1299 = uv_os_homedir(x1297, x1298);
   return Val_long(x1299);
}
value luv_stub_235_uv_os_tmpdir(value x1301, value x1300)
{
   unsigned char* x1302 = CTYPES_PTR_OF_OCAML_BYTES(x1301);
   size_t* x1303 = CTYPES_ADDR_OF_FATPTR(x1300);
   int x1304 = uv_os_tmpdir(x1302, x1303);
   return Val_long(x1304);
}
value luv_stub_236_uv_os_get_passwd(value x1305)
{
   uv_passwd_t* x1306 = CTYPES_ADDR_OF_FATPTR(x1305);
   int x1307 = uv_os_get_passwd(x1306);
   return Val_long(x1307);
}
value luv_stub_237_uv_os_free_passwd(value x1308)
{
   uv_passwd_t* x1309 = CTYPES_ADDR_OF_FATPTR(x1308);
   uv_os_free_passwd(x1309);
   return Val_unit;
}
value luv_stub_238_uv_os_getenv(value x1313, value x1312, value x1311)
{
   char* x1314 = CTYPES_PTR_OF_OCAML_STRING(x1313);
   unsigned char* x1315 = CTYPES_PTR_OF_OCAML_BYTES(x1312);
   size_t* x1316 = CTYPES_ADDR_OF_FATPTR(x1311);
   int x1317 = uv_os_getenv(x1314, x1315, x1316);
   return Val_long(x1317);
}
value luv_stub_239_uv_os_setenv(value x1319, value x1318)
{
   char* x1320 = CTYPES_PTR_OF_OCAML_STRING(x1319);
   char* x1321 = CTYPES_PTR_OF_OCAML_STRING(x1318);
   int x1322 = uv_os_setenv(x1320, x1321);
   return Val_long(x1322);
}
value luv_stub_240_uv_os_unsetenv(value x1323)
{
   char* x1324 = CTYPES_PTR_OF_OCAML_STRING(x1323);
   int x1325 = uv_os_unsetenv(x1324);
   return Val_long(x1325);
}
value luv_stub_241_uv_os_environ(value x1327, value x1326)
{
   uv_env_item_t** x1328 = CTYPES_ADDR_OF_FATPTR(x1327);
   int* x1329 = CTYPES_ADDR_OF_FATPTR(x1326);
   int x1330 = uv_os_environ(x1328, x1329);
   return Val_long(x1330);
}
value luv_stub_242_uv_os_free_environ(value x1332, value x1331)
{
   uv_env_item_t* x1333 = CTYPES_ADDR_OF_FATPTR(x1332);
   int x1334 = Long_val(x1331);
   uv_os_free_environ(x1333, x1334);
   return Val_unit;
}
value luv_stub_243_luv_os_uname(value x1338)
{
   unsigned char* x1339 = CTYPES_PTR_OF_OCAML_BYTES(x1338);
   int x1340 = luv_os_uname(x1339);
   return Val_long(x1340);
}
value luv_stub_244_uv_gettimeofday(value x1341)
{
   uv_timeval64_t* x1342 = CTYPES_ADDR_OF_FATPTR(x1341);
   int x1343 = uv_gettimeofday(x1342);
   return Val_long(x1343);
}
value luv_stub_245_uv_hrtime(value x1344)
{
   uint64_t x1345 = uv_hrtime();
   return integers_copy_uint64(x1345);
}
value luv_stub_246_luv_get_random_trampoline(value x1346)
{
   void(* x1347)(uv_random_t*, int, void*, size_t) =
   luv_get_random_trampoline();
   return CTYPES_FROM_PTR(x1347);
}
value luv_stub_247_luv_null_random_trampoline(value x1348)
{
   void(* x1349)(uv_random_t*, int, void*, size_t) =
   luv_null_random_trampoline();
   return CTYPES_FROM_PTR(x1349);
}
value luv_stub_248_uv_random(value x1355, value x1354, value x1353,
                             value x1352, value x1351, value x1350)
{
   uv_loop_t* x1356 = CTYPES_ADDR_OF_FATPTR(x1355);
   uv_random_t* x1357 = CTYPES_ADDR_OF_FATPTR(x1354);
   char* x1358 = CTYPES_ADDR_OF_FATPTR(x1353);
   size_t x1359 = ctypes_size_t_val(x1352);
   unsigned int x1362 = ctypes_uint_val(x1351);
   void(* x1365)(uv_random_t*, int, void*, size_t) =
   CTYPES_ADDR_OF_FATPTR(x1350);
   int x1366 = uv_random(x1356, x1357, x1358, x1359, x1362, x1365);
   return Val_long(x1366);
}
value luv_stub_248_uv_random_byte6(value* argv, int argc)
{
   value x1367 = argv[5];
   value x1368 = argv[4];
   value x1369 = argv[3];
   value x1370 = argv[2];
   value x1371 = argv[1];
   value x1372 = argv[0];
   return luv_stub_248_uv_random(x1372, x1371, x1370, x1369, x1368, x1367);
}
value luv_stub_249_uv_metrics_idle_time(value x1373)
{
   uv_loop_t* x1374 = CTYPES_ADDR_OF_FATPTR(x1373);
   uint64_t x1375 = uv_metrics_idle_time(x1374);
   return integers_copy_uint64(x1375);
}
#include "ctypes_cstubs_internals.h"
#include <caml/threads.h>
value luv_stub_blocking_1_uv_run(value x1377, value x1376)
{
   CAMLparam2 (x1377, x1376);;
   uv_loop_t* x1378 = CTYPES_ADDR_OF_FATPTR(x1377);
   uint32_t x1379 = Uint32_val(x1376);
   caml_release_runtime_system();
   _Bool x1382 = uv_run(x1378, x1379);
   caml_acquire_runtime_system();
   value x1383 = Val_bool(x1382);
   CAMLreturnT(value, x1383);
}
value luv_stub_blocking_2_uv_pipe_bind(value x1387, value x1386)
{
   CAMLparam2 (x1387, x1386);;
   uv_pipe_t* x1388 = CTYPES_ADDR_OF_FATPTR(x1387);
   char* x1389 = CTYPES_ADDR_OF_FATPTR(x1386);
   caml_release_runtime_system();
   int x1390 = uv_pipe_bind(x1388, x1389);
   caml_acquire_runtime_system();
   value x1391 = Val_long(x1390);
   CAMLreturnT(value, x1391);
}
value luv_stub_blocking_3_luv_get_fs_trampoline(value x1394)
{
   CAMLparam1 (x1394);;
   caml_release_runtime_system();
   void(* x1395)(uv_fs_t*) = luv_get_fs_trampoline();
   caml_acquire_runtime_system();
   value x1396 = CTYPES_FROM_PTR(x1395);
   CAMLreturnT(value, x1396);
}
value luv_stub_blocking_4_luv_null_fs_callback_pointer(value x1399)
{
   CAMLparam1 (x1399);;
   caml_release_runtime_system();
   void(* x1400)(uv_fs_t*) = luv_null_fs_callback_pointer();
   caml_acquire_runtime_system();
   value x1401 = CTYPES_FROM_PTR(x1400);
   CAMLreturnT(value, x1401);
}
value luv_stub_blocking_5_uv_fs_req_cleanup(value x1404)
{
   CAMLparam1 (x1404);;
   uv_fs_t* x1405 = CTYPES_ADDR_OF_FATPTR(x1404);
   caml_release_runtime_system();
   uv_fs_req_cleanup(x1405);
   caml_acquire_runtime_system();
   value x1407 = Val_unit;
   CAMLreturnT(value, x1407);
}
value luv_stub_blocking_6_uv_fs_close(value x1413, value x1412, value x1411,
                                      value x1410)
{
   CAMLparam4 (x1413, x1412, x1411, x1410);;
   uv_loop_t* x1414 = CTYPES_ADDR_OF_FATPTR(x1413);
   uv_fs_t* x1415 = CTYPES_ADDR_OF_FATPTR(x1412);
   int x1416 = Long_val(x1411);
   void(* x1419)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1410);
   caml_release_runtime_system();
   int x1420 = uv_fs_close(x1414, x1415, x1416, x1419);
   caml_acquire_runtime_system();
   value x1421 = Val_long(x1420);
   CAMLreturnT(value, x1421);
}
value luv_stub_blocking_7_uv_fs_open(value x1429, value x1428, value x1427,
                                     value x1426, value x1425, value x1424)
{
   CAMLparam5 (x1429, x1428, x1427, x1426, x1425); CAMLxparam1 (x1424);;
   uv_loop_t* x1430 = CTYPES_ADDR_OF_FATPTR(x1429);
   uv_fs_t* x1431 = CTYPES_ADDR_OF_FATPTR(x1428);
   char* x1432 = CTYPES_ADDR_OF_FATPTR(x1427);
   int x1433 = Long_val(x1426);
   int x1436 = Long_val(x1425);
   void(* x1439)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1424);
   caml_release_runtime_system();
   int x1440 = uv_fs_open(x1430, x1431, x1432, x1433, x1436, x1439);
   caml_acquire_runtime_system();
   value x1441 = Val_long(x1440);
   CAMLreturnT(value, x1441);
}
value luv_stub_blocking_7_uv_fs_open_byte6(value* argv, int argc)
{
   value x1444 = argv[5];
   value x1445 = argv[4];
   value x1446 = argv[3];
   value x1447 = argv[2];
   value x1448 = argv[1];
   value x1449 = argv[0];
   return
     luv_stub_blocking_7_uv_fs_open(x1449, x1448, x1447, x1446, x1445, x1444);
}
value luv_stub_blocking_8_uv_fs_read(value x1456, value x1455, value x1454,
                                     value x1453, value x1452, value x1451,
                                     value x1450)
{
   CAMLparam5 (x1456, x1455, x1454, x1453, x1452);
   CAMLxparam2 (x1451, x1450);;
   uv_loop_t* x1457 = CTYPES_ADDR_OF_FATPTR(x1456);
   uv_fs_t* x1458 = CTYPES_ADDR_OF_FATPTR(x1455);
   int x1459 = Long_val(x1454);
   uv_buf_t* x1462 = CTYPES_ADDR_OF_FATPTR(x1453);
   unsigned int x1463 = ctypes_uint_val(x1452);
   int64_t x1466 = Int64_val(x1451);
   void(* x1469)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1450);
   caml_release_runtime_system();
   int x1470 = uv_fs_read(x1457, x1458, x1459, x1462, x1463, x1466, x1469);
   caml_acquire_runtime_system();
   value x1471 = Val_long(x1470);
   CAMLreturnT(value, x1471);
}
value luv_stub_blocking_8_uv_fs_read_byte7(value* argv, int argc)
{
   value x1474 = argv[6];
   value x1475 = argv[5];
   value x1476 = argv[4];
   value x1477 = argv[3];
   value x1478 = argv[2];
   value x1479 = argv[1];
   value x1480 = argv[0];
   return
     luv_stub_blocking_8_uv_fs_read(x1480, x1479, x1478, x1477, x1476, 
                                    x1475, x1474);
}
value luv_stub_blocking_9_uv_fs_write(value x1487, value x1486, value x1485,
                                      value x1484, value x1483, value x1482,
                                      value x1481)
{
   CAMLparam5 (x1487, x1486, x1485, x1484, x1483);
   CAMLxparam2 (x1482, x1481);;
   uv_loop_t* x1488 = CTYPES_ADDR_OF_FATPTR(x1487);
   uv_fs_t* x1489 = CTYPES_ADDR_OF_FATPTR(x1486);
   int x1490 = Long_val(x1485);
   uv_buf_t* x1493 = CTYPES_ADDR_OF_FATPTR(x1484);
   unsigned int x1494 = ctypes_uint_val(x1483);
   int64_t x1497 = Int64_val(x1482);
   void(* x1500)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1481);
   caml_release_runtime_system();
   int x1501 = uv_fs_write(x1488, x1489, x1490, x1493, x1494, x1497, x1500);
   caml_acquire_runtime_system();
   value x1502 = Val_long(x1501);
   CAMLreturnT(value, x1502);
}
value luv_stub_blocking_9_uv_fs_write_byte7(value* argv, int argc)
{
   value x1505 = argv[6];
   value x1506 = argv[5];
   value x1507 = argv[4];
   value x1508 = argv[3];
   value x1509 = argv[2];
   value x1510 = argv[1];
   value x1511 = argv[0];
   return
     luv_stub_blocking_9_uv_fs_write(x1511, x1510, x1509, x1508, x1507,
                                     x1506, x1505);
}
value luv_stub_blocking_10_uv_fs_unlink(value x1515, value x1514,
                                        value x1513, value x1512)
{
   CAMLparam4 (x1515, x1514, x1513, x1512);;
   uv_loop_t* x1516 = CTYPES_ADDR_OF_FATPTR(x1515);
   uv_fs_t* x1517 = CTYPES_ADDR_OF_FATPTR(x1514);
   char* x1518 = CTYPES_ADDR_OF_FATPTR(x1513);
   void(* x1519)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1512);
   caml_release_runtime_system();
   int x1520 = uv_fs_unlink(x1516, x1517, x1518, x1519);
   caml_acquire_runtime_system();
   value x1521 = Val_long(x1520);
   CAMLreturnT(value, x1521);
}
value luv_stub_blocking_11_uv_fs_mkdir(value x1528, value x1527, value x1526,
                                       value x1525, value x1524)
{
   CAMLparam5 (x1528, x1527, x1526, x1525, x1524); ;
   uv_loop_t* x1529 = CTYPES_ADDR_OF_FATPTR(x1528);
   uv_fs_t* x1530 = CTYPES_ADDR_OF_FATPTR(x1527);
   char* x1531 = CTYPES_ADDR_OF_FATPTR(x1526);
   int x1532 = Long_val(x1525);
   void(* x1535)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1524);
   caml_release_runtime_system();
   int x1536 = uv_fs_mkdir(x1529, x1530, x1531, x1532, x1535);
   caml_acquire_runtime_system();
   value x1537 = Val_long(x1536);
   CAMLreturnT(value, x1537);
}
value luv_stub_blocking_12_uv_fs_mkdtemp(value x1543, value x1542,
                                         value x1541, value x1540)
{
   CAMLparam4 (x1543, x1542, x1541, x1540);;
   uv_loop_t* x1544 = CTYPES_ADDR_OF_FATPTR(x1543);
   uv_fs_t* x1545 = CTYPES_ADDR_OF_FATPTR(x1542);
   char* x1546 = CTYPES_ADDR_OF_FATPTR(x1541);
   void(* x1547)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1540);
   caml_release_runtime_system();
   int x1548 = uv_fs_mkdtemp(x1544, x1545, x1546, x1547);
   caml_acquire_runtime_system();
   value x1549 = Val_long(x1548);
   CAMLreturnT(value, x1549);
}
value luv_stub_blocking_13_uv_fs_mkstemp(value x1555, value x1554,
                                         value x1553, value x1552)
{
   CAMLparam4 (x1555, x1554, x1553, x1552);;
   uv_loop_t* x1556 = CTYPES_ADDR_OF_FATPTR(x1555);
   uv_fs_t* x1557 = CTYPES_ADDR_OF_FATPTR(x1554);
   char* x1558 = CTYPES_ADDR_OF_FATPTR(x1553);
   void(* x1559)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1552);
   caml_release_runtime_system();
   int x1560 = uv_fs_mkstemp(x1556, x1557, x1558, x1559);
   caml_acquire_runtime_system();
   value x1561 = Val_long(x1560);
   CAMLreturnT(value, x1561);
}
value luv_stub_blocking_14_uv_fs_rmdir(value x1567, value x1566, value x1565,
                                       value x1564)
{
   CAMLparam4 (x1567, x1566, x1565, x1564);;
   uv_loop_t* x1568 = CTYPES_ADDR_OF_FATPTR(x1567);
   uv_fs_t* x1569 = CTYPES_ADDR_OF_FATPTR(x1566);
   char* x1570 = CTYPES_ADDR_OF_FATPTR(x1565);
   void(* x1571)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1564);
   caml_release_runtime_system();
   int x1572 = uv_fs_rmdir(x1568, x1569, x1570, x1571);
   caml_acquire_runtime_system();
   value x1573 = Val_long(x1572);
   CAMLreturnT(value, x1573);
}
value luv_stub_blocking_15_uv_fs_opendir(value x1579, value x1578,
                                         value x1577, value x1576)
{
   CAMLparam4 (x1579, x1578, x1577, x1576);;
   uv_loop_t* x1580 = CTYPES_ADDR_OF_FATPTR(x1579);
   uv_fs_t* x1581 = CTYPES_ADDR_OF_FATPTR(x1578);
   char* x1582 = CTYPES_ADDR_OF_FATPTR(x1577);
   void(* x1583)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1576);
   caml_release_runtime_system();
   int x1584 = uv_fs_opendir(x1580, x1581, x1582, x1583);
   caml_acquire_runtime_system();
   value x1585 = Val_long(x1584);
   CAMLreturnT(value, x1585);
}
value luv_stub_blocking_16_uv_fs_closedir(value x1591, value x1590,
                                          value x1589, value x1588)
{
   CAMLparam4 (x1591, x1590, x1589, x1588);;
   uv_loop_t* x1592 = CTYPES_ADDR_OF_FATPTR(x1591);
   uv_fs_t* x1593 = CTYPES_ADDR_OF_FATPTR(x1590);
   uv_dir_t* x1594 = CTYPES_ADDR_OF_FATPTR(x1589);
   void(* x1595)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1588);
   caml_release_runtime_system();
   int x1596 = uv_fs_closedir(x1592, x1593, x1594, x1595);
   caml_acquire_runtime_system();
   value x1597 = Val_long(x1596);
   CAMLreturnT(value, x1597);
}
value luv_stub_blocking_17_uv_fs_readdir(value x1603, value x1602,
                                         value x1601, value x1600)
{
   CAMLparam4 (x1603, x1602, x1601, x1600);;
   uv_loop_t* x1604 = CTYPES_ADDR_OF_FATPTR(x1603);
   uv_fs_t* x1605 = CTYPES_ADDR_OF_FATPTR(x1602);
   uv_dir_t* x1606 = CTYPES_ADDR_OF_FATPTR(x1601);
   void(* x1607)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1600);
   caml_release_runtime_system();
   int x1608 = uv_fs_readdir(x1604, x1605, x1606, x1607);
   caml_acquire_runtime_system();
   value x1609 = Val_long(x1608);
   CAMLreturnT(value, x1609);
}
value luv_stub_blocking_18_uv_fs_scandir(value x1616, value x1615,
                                         value x1614, value x1613,
                                         value x1612)
{
   CAMLparam5 (x1616, x1615, x1614, x1613, x1612); ;
   uv_loop_t* x1617 = CTYPES_ADDR_OF_FATPTR(x1616);
   uv_fs_t* x1618 = CTYPES_ADDR_OF_FATPTR(x1615);
   char* x1619 = CTYPES_ADDR_OF_FATPTR(x1614);
   int x1620 = Long_val(x1613);
   void(* x1623)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1612);
   caml_release_runtime_system();
   int x1624 = uv_fs_scandir(x1617, x1618, x1619, x1620, x1623);
   caml_acquire_runtime_system();
   value x1625 = Val_long(x1624);
   CAMLreturnT(value, x1625);
}
value luv_stub_blocking_19_uv_fs_scandir_next(value x1629, value x1628)
{
   CAMLparam2 (x1629, x1628);;
   uv_fs_t* x1630 = CTYPES_ADDR_OF_FATPTR(x1629);
   uv_dirent_t* x1631 = CTYPES_ADDR_OF_FATPTR(x1628);
   caml_release_runtime_system();
   int x1632 = uv_fs_scandir_next(x1630, x1631);
   caml_acquire_runtime_system();
   value x1633 = Val_long(x1632);
   CAMLreturnT(value, x1633);
}
value luv_stub_blocking_20_uv_fs_stat(value x1639, value x1638, value x1637,
                                      value x1636)
{
   CAMLparam4 (x1639, x1638, x1637, x1636);;
   uv_loop_t* x1640 = CTYPES_ADDR_OF_FATPTR(x1639);
   uv_fs_t* x1641 = CTYPES_ADDR_OF_FATPTR(x1638);
   char* x1642 = CTYPES_ADDR_OF_FATPTR(x1637);
   void(* x1643)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1636);
   caml_release_runtime_system();
   int x1644 = uv_fs_stat(x1640, x1641, x1642, x1643);
   caml_acquire_runtime_system();
   value x1645 = Val_long(x1644);
   CAMLreturnT(value, x1645);
}
value luv_stub_blocking_21_uv_fs_lstat(value x1651, value x1650, value x1649,
                                       value x1648)
{
   CAMLparam4 (x1651, x1650, x1649, x1648);;
   uv_loop_t* x1652 = CTYPES_ADDR_OF_FATPTR(x1651);
   uv_fs_t* x1653 = CTYPES_ADDR_OF_FATPTR(x1650);
   char* x1654 = CTYPES_ADDR_OF_FATPTR(x1649);
   void(* x1655)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1648);
   caml_release_runtime_system();
   int x1656 = uv_fs_lstat(x1652, x1653, x1654, x1655);
   caml_acquire_runtime_system();
   value x1657 = Val_long(x1656);
   CAMLreturnT(value, x1657);
}
value luv_stub_blocking_22_uv_fs_fstat(value x1663, value x1662, value x1661,
                                       value x1660)
{
   CAMLparam4 (x1663, x1662, x1661, x1660);;
   uv_loop_t* x1664 = CTYPES_ADDR_OF_FATPTR(x1663);
   uv_fs_t* x1665 = CTYPES_ADDR_OF_FATPTR(x1662);
   int x1666 = Long_val(x1661);
   void(* x1669)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1660);
   caml_release_runtime_system();
   int x1670 = uv_fs_fstat(x1664, x1665, x1666, x1669);
   caml_acquire_runtime_system();
   value x1671 = Val_long(x1670);
   CAMLreturnT(value, x1671);
}
value luv_stub_blocking_23_uv_fs_statfs(value x1677, value x1676,
                                        value x1675, value x1674)
{
   CAMLparam4 (x1677, x1676, x1675, x1674);;
   uv_loop_t* x1678 = CTYPES_ADDR_OF_FATPTR(x1677);
   uv_fs_t* x1679 = CTYPES_ADDR_OF_FATPTR(x1676);
   char* x1680 = CTYPES_ADDR_OF_FATPTR(x1675);
   void(* x1681)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1674);
   caml_release_runtime_system();
   int x1682 = uv_fs_statfs(x1678, x1679, x1680, x1681);
   caml_acquire_runtime_system();
   value x1683 = Val_long(x1682);
   CAMLreturnT(value, x1683);
}
value luv_stub_blocking_24_uv_fs_rename(value x1690, value x1689,
                                        value x1688, value x1687,
                                        value x1686)
{
   CAMLparam5 (x1690, x1689, x1688, x1687, x1686); ;
   uv_loop_t* x1691 = CTYPES_ADDR_OF_FATPTR(x1690);
   uv_fs_t* x1692 = CTYPES_ADDR_OF_FATPTR(x1689);
   char* x1693 = CTYPES_ADDR_OF_FATPTR(x1688);
   char* x1694 = CTYPES_ADDR_OF_FATPTR(x1687);
   void(* x1695)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1686);
   caml_release_runtime_system();
   int x1696 = uv_fs_rename(x1691, x1692, x1693, x1694, x1695);
   caml_acquire_runtime_system();
   value x1697 = Val_long(x1696);
   CAMLreturnT(value, x1697);
}
value luv_stub_blocking_25_uv_fs_fsync(value x1703, value x1702, value x1701,
                                       value x1700)
{
   CAMLparam4 (x1703, x1702, x1701, x1700);;
   uv_loop_t* x1704 = CTYPES_ADDR_OF_FATPTR(x1703);
   uv_fs_t* x1705 = CTYPES_ADDR_OF_FATPTR(x1702);
   int x1706 = Long_val(x1701);
   void(* x1709)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1700);
   caml_release_runtime_system();
   int x1710 = uv_fs_fsync(x1704, x1705, x1706, x1709);
   caml_acquire_runtime_system();
   value x1711 = Val_long(x1710);
   CAMLreturnT(value, x1711);
}
value luv_stub_blocking_26_uv_fs_fdatasync(value x1717, value x1716,
                                           value x1715, value x1714)
{
   CAMLparam4 (x1717, x1716, x1715, x1714);;
   uv_loop_t* x1718 = CTYPES_ADDR_OF_FATPTR(x1717);
   uv_fs_t* x1719 = CTYPES_ADDR_OF_FATPTR(x1716);
   int x1720 = Long_val(x1715);
   void(* x1723)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1714);
   caml_release_runtime_system();
   int x1724 = uv_fs_fdatasync(x1718, x1719, x1720, x1723);
   caml_acquire_runtime_system();
   value x1725 = Val_long(x1724);
   CAMLreturnT(value, x1725);
}
value luv_stub_blocking_27_uv_fs_ftruncate(value x1732, value x1731,
                                           value x1730, value x1729,
                                           value x1728)
{
   CAMLparam5 (x1732, x1731, x1730, x1729, x1728); ;
   uv_loop_t* x1733 = CTYPES_ADDR_OF_FATPTR(x1732);
   uv_fs_t* x1734 = CTYPES_ADDR_OF_FATPTR(x1731);
   int x1735 = Long_val(x1730);
   int64_t x1738 = Int64_val(x1729);
   void(* x1741)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1728);
   caml_release_runtime_system();
   int x1742 = uv_fs_ftruncate(x1733, x1734, x1735, x1738, x1741);
   caml_acquire_runtime_system();
   value x1743 = Val_long(x1742);
   CAMLreturnT(value, x1743);
}
value luv_stub_blocking_28_uv_fs_copyfile(value x1751, value x1750,
                                          value x1749, value x1748,
                                          value x1747, value x1746)
{
   CAMLparam5 (x1751, x1750, x1749, x1748, x1747); CAMLxparam1 (x1746);;
   uv_loop_t* x1752 = CTYPES_ADDR_OF_FATPTR(x1751);
   uv_fs_t* x1753 = CTYPES_ADDR_OF_FATPTR(x1750);
   char* x1754 = CTYPES_ADDR_OF_FATPTR(x1749);
   char* x1755 = CTYPES_ADDR_OF_FATPTR(x1748);
   int x1756 = Long_val(x1747);
   void(* x1759)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1746);
   caml_release_runtime_system();
   int x1760 = uv_fs_copyfile(x1752, x1753, x1754, x1755, x1756, x1759);
   caml_acquire_runtime_system();
   value x1761 = Val_long(x1760);
   CAMLreturnT(value, x1761);
}
value luv_stub_blocking_28_uv_fs_copyfile_byte6(value* argv, int argc)
{
   value x1764 = argv[5];
   value x1765 = argv[4];
   value x1766 = argv[3];
   value x1767 = argv[2];
   value x1768 = argv[1];
   value x1769 = argv[0];
   return
     luv_stub_blocking_28_uv_fs_copyfile(x1769, x1768, x1767, x1766, 
                                         x1765, x1764);
}
value luv_stub_blocking_29_uv_fs_sendfile(value x1776, value x1775,
                                          value x1774, value x1773,
                                          value x1772, value x1771,
                                          value x1770)
{
   CAMLparam5 (x1776, x1775, x1774, x1773, x1772);
   CAMLxparam2 (x1771, x1770);;
   uv_loop_t* x1777 = CTYPES_ADDR_OF_FATPTR(x1776);
   uv_fs_t* x1778 = CTYPES_ADDR_OF_FATPTR(x1775);
   int x1779 = Long_val(x1774);
   int x1782 = Long_val(x1773);
   int64_t x1785 = Int64_val(x1772);
   size_t x1788 = ctypes_size_t_val(x1771);
   void(* x1791)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1770);
   caml_release_runtime_system();
   int x1792 =
   uv_fs_sendfile(x1777, x1778, x1779, x1782, x1785, x1788, x1791);
   caml_acquire_runtime_system();
   value x1793 = Val_long(x1792);
   CAMLreturnT(value, x1793);
}
value luv_stub_blocking_29_uv_fs_sendfile_byte7(value* argv, int argc)
{
   value x1796 = argv[6];
   value x1797 = argv[5];
   value x1798 = argv[4];
   value x1799 = argv[3];
   value x1800 = argv[2];
   value x1801 = argv[1];
   value x1802 = argv[0];
   return
     luv_stub_blocking_29_uv_fs_sendfile(x1802, x1801, x1800, x1799, 
                                         x1798, x1797, x1796);
}
value luv_stub_blocking_30_uv_fs_access(value x1807, value x1806,
                                        value x1805, value x1804,
                                        value x1803)
{
   CAMLparam5 (x1807, x1806, x1805, x1804, x1803); ;
   uv_loop_t* x1808 = CTYPES_ADDR_OF_FATPTR(x1807);
   uv_fs_t* x1809 = CTYPES_ADDR_OF_FATPTR(x1806);
   char* x1810 = CTYPES_ADDR_OF_FATPTR(x1805);
   int x1811 = Long_val(x1804);
   void(* x1814)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1803);
   caml_release_runtime_system();
   int x1815 = uv_fs_access(x1808, x1809, x1810, x1811, x1814);
   caml_acquire_runtime_system();
   value x1816 = Val_long(x1815);
   CAMLreturnT(value, x1816);
}
value luv_stub_blocking_31_uv_fs_chmod(value x1823, value x1822, value x1821,
                                       value x1820, value x1819)
{
   CAMLparam5 (x1823, x1822, x1821, x1820, x1819); ;
   uv_loop_t* x1824 = CTYPES_ADDR_OF_FATPTR(x1823);
   uv_fs_t* x1825 = CTYPES_ADDR_OF_FATPTR(x1822);
   char* x1826 = CTYPES_ADDR_OF_FATPTR(x1821);
   int x1827 = Long_val(x1820);
   void(* x1830)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1819);
   caml_release_runtime_system();
   int x1831 = uv_fs_chmod(x1824, x1825, x1826, x1827, x1830);
   caml_acquire_runtime_system();
   value x1832 = Val_long(x1831);
   CAMLreturnT(value, x1832);
}
value luv_stub_blocking_32_uv_fs_fchmod(value x1839, value x1838,
                                        value x1837, value x1836,
                                        value x1835)
{
   CAMLparam5 (x1839, x1838, x1837, x1836, x1835); ;
   uv_loop_t* x1840 = CTYPES_ADDR_OF_FATPTR(x1839);
   uv_fs_t* x1841 = CTYPES_ADDR_OF_FATPTR(x1838);
   int x1842 = Long_val(x1837);
   int x1845 = Long_val(x1836);
   void(* x1848)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1835);
   caml_release_runtime_system();
   int x1849 = uv_fs_fchmod(x1840, x1841, x1842, x1845, x1848);
   caml_acquire_runtime_system();
   value x1850 = Val_long(x1849);
   CAMLreturnT(value, x1850);
}
value luv_stub_blocking_33_uv_fs_utime(value x1858, value x1857, value x1856,
                                       value x1855, value x1854, value x1853)
{
   CAMLparam5 (x1858, x1857, x1856, x1855, x1854); CAMLxparam1 (x1853);;
   uv_loop_t* x1859 = CTYPES_ADDR_OF_FATPTR(x1858);
   uv_fs_t* x1860 = CTYPES_ADDR_OF_FATPTR(x1857);
   char* x1861 = CTYPES_ADDR_OF_FATPTR(x1856);
   double x1862 = Double_val(x1855);
   double x1865 = Double_val(x1854);
   void(* x1868)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1853);
   caml_release_runtime_system();
   int x1869 =
   uv_fs_utime(x1859, x1860, x1861, (float)x1862, (float)x1865, x1868);
   caml_acquire_runtime_system();
   value x1870 = Val_long(x1869);
   CAMLreturnT(value, x1870);
}
value luv_stub_blocking_33_uv_fs_utime_byte6(value* argv, int argc)
{
   value x1873 = argv[5];
   value x1874 = argv[4];
   value x1875 = argv[3];
   value x1876 = argv[2];
   value x1877 = argv[1];
   value x1878 = argv[0];
   return
     luv_stub_blocking_33_uv_fs_utime(x1878, x1877, x1876, x1875, x1874,
                                      x1873);
}
value luv_stub_blocking_34_uv_fs_futime(value x1884, value x1883,
                                        value x1882, value x1881,
                                        value x1880, value x1879)
{
   CAMLparam5 (x1884, x1883, x1882, x1881, x1880); CAMLxparam1 (x1879);;
   uv_loop_t* x1885 = CTYPES_ADDR_OF_FATPTR(x1884);
   uv_fs_t* x1886 = CTYPES_ADDR_OF_FATPTR(x1883);
   int x1887 = Long_val(x1882);
   double x1890 = Double_val(x1881);
   double x1893 = Double_val(x1880);
   void(* x1896)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1879);
   caml_release_runtime_system();
   int x1897 =
   uv_fs_futime(x1885, x1886, x1887, (float)x1890, (float)x1893, x1896);
   caml_acquire_runtime_system();
   value x1898 = Val_long(x1897);
   CAMLreturnT(value, x1898);
}
value luv_stub_blocking_34_uv_fs_futime_byte6(value* argv, int argc)
{
   value x1901 = argv[5];
   value x1902 = argv[4];
   value x1903 = argv[3];
   value x1904 = argv[2];
   value x1905 = argv[1];
   value x1906 = argv[0];
   return
     luv_stub_blocking_34_uv_fs_futime(x1906, x1905, x1904, x1903, x1902,
                                       x1901);
}
value luv_stub_blocking_35_uv_fs_lutime(value x1912, value x1911,
                                        value x1910, value x1909,
                                        value x1908, value x1907)
{
   CAMLparam5 (x1912, x1911, x1910, x1909, x1908); CAMLxparam1 (x1907);;
   uv_loop_t* x1913 = CTYPES_ADDR_OF_FATPTR(x1912);
   uv_fs_t* x1914 = CTYPES_ADDR_OF_FATPTR(x1911);
   char* x1915 = CTYPES_ADDR_OF_FATPTR(x1910);
   double x1916 = Double_val(x1909);
   double x1919 = Double_val(x1908);
   void(* x1922)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1907);
   caml_release_runtime_system();
   int x1923 =
   uv_fs_lutime(x1913, x1914, x1915, (float)x1916, (float)x1919, x1922);
   caml_acquire_runtime_system();
   value x1924 = Val_long(x1923);
   CAMLreturnT(value, x1924);
}
value luv_stub_blocking_35_uv_fs_lutime_byte6(value* argv, int argc)
{
   value x1927 = argv[5];
   value x1928 = argv[4];
   value x1929 = argv[3];
   value x1930 = argv[2];
   value x1931 = argv[1];
   value x1932 = argv[0];
   return
     luv_stub_blocking_35_uv_fs_lutime(x1932, x1931, x1930, x1929, x1928,
                                       x1927);
}
value luv_stub_blocking_36_uv_fs_link(value x1937, value x1936, value x1935,
                                      value x1934, value x1933)
{
   CAMLparam5 (x1937, x1936, x1935, x1934, x1933); ;
   uv_loop_t* x1938 = CTYPES_ADDR_OF_FATPTR(x1937);
   uv_fs_t* x1939 = CTYPES_ADDR_OF_FATPTR(x1936);
   char* x1940 = CTYPES_ADDR_OF_FATPTR(x1935);
   char* x1941 = CTYPES_ADDR_OF_FATPTR(x1934);
   void(* x1942)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1933);
   caml_release_runtime_system();
   int x1943 = uv_fs_link(x1938, x1939, x1940, x1941, x1942);
   caml_acquire_runtime_system();
   value x1944 = Val_long(x1943);
   CAMLreturnT(value, x1944);
}
value luv_stub_blocking_37_uv_fs_symlink(value x1952, value x1951,
                                         value x1950, value x1949,
                                         value x1948, value x1947)
{
   CAMLparam5 (x1952, x1951, x1950, x1949, x1948); CAMLxparam1 (x1947);;
   uv_loop_t* x1953 = CTYPES_ADDR_OF_FATPTR(x1952);
   uv_fs_t* x1954 = CTYPES_ADDR_OF_FATPTR(x1951);
   char* x1955 = CTYPES_ADDR_OF_FATPTR(x1950);
   char* x1956 = CTYPES_ADDR_OF_FATPTR(x1949);
   int x1957 = Long_val(x1948);
   void(* x1960)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1947);
   caml_release_runtime_system();
   int x1961 = uv_fs_symlink(x1953, x1954, x1955, x1956, x1957, x1960);
   caml_acquire_runtime_system();
   value x1962 = Val_long(x1961);
   CAMLreturnT(value, x1962);
}
value luv_stub_blocking_37_uv_fs_symlink_byte6(value* argv, int argc)
{
   value x1965 = argv[5];
   value x1966 = argv[4];
   value x1967 = argv[3];
   value x1968 = argv[2];
   value x1969 = argv[1];
   value x1970 = argv[0];
   return
     luv_stub_blocking_37_uv_fs_symlink(x1970, x1969, x1968, x1967, x1966,
                                        x1965);
}
value luv_stub_blocking_38_uv_fs_readlink(value x1974, value x1973,
                                          value x1972, value x1971)
{
   CAMLparam4 (x1974, x1973, x1972, x1971);;
   uv_loop_t* x1975 = CTYPES_ADDR_OF_FATPTR(x1974);
   uv_fs_t* x1976 = CTYPES_ADDR_OF_FATPTR(x1973);
   char* x1977 = CTYPES_ADDR_OF_FATPTR(x1972);
   void(* x1978)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1971);
   caml_release_runtime_system();
   int x1979 = uv_fs_readlink(x1975, x1976, x1977, x1978);
   caml_acquire_runtime_system();
   value x1980 = Val_long(x1979);
   CAMLreturnT(value, x1980);
}
value luv_stub_blocking_39_uv_fs_realpath(value x1986, value x1985,
                                          value x1984, value x1983)
{
   CAMLparam4 (x1986, x1985, x1984, x1983);;
   uv_loop_t* x1987 = CTYPES_ADDR_OF_FATPTR(x1986);
   uv_fs_t* x1988 = CTYPES_ADDR_OF_FATPTR(x1985);
   char* x1989 = CTYPES_ADDR_OF_FATPTR(x1984);
   void(* x1990)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1983);
   caml_release_runtime_system();
   int x1991 = uv_fs_realpath(x1987, x1988, x1989, x1990);
   caml_acquire_runtime_system();
   value x1992 = Val_long(x1991);
   CAMLreturnT(value, x1992);
}
value luv_stub_blocking_40_uv_fs_chown(value x2000, value x1999, value x1998,
                                       value x1997, value x1996, value x1995)
{
   CAMLparam5 (x2000, x1999, x1998, x1997, x1996); CAMLxparam1 (x1995);;
   uv_loop_t* x2001 = CTYPES_ADDR_OF_FATPTR(x2000);
   uv_fs_t* x2002 = CTYPES_ADDR_OF_FATPTR(x1999);
   char* x2003 = CTYPES_ADDR_OF_FATPTR(x1998);
   int x2004 = Long_val(x1997);
   int x2007 = Long_val(x1996);
   void(* x2010)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1995);
   caml_release_runtime_system();
   int x2011 = uv_fs_chown(x2001, x2002, x2003, x2004, x2007, x2010);
   caml_acquire_runtime_system();
   value x2012 = Val_long(x2011);
   CAMLreturnT(value, x2012);
}
value luv_stub_blocking_40_uv_fs_chown_byte6(value* argv, int argc)
{
   value x2015 = argv[5];
   value x2016 = argv[4];
   value x2017 = argv[3];
   value x2018 = argv[2];
   value x2019 = argv[1];
   value x2020 = argv[0];
   return
     luv_stub_blocking_40_uv_fs_chown(x2020, x2019, x2018, x2017, x2016,
                                      x2015);
}
value luv_stub_blocking_41_uv_fs_fchown(value x2026, value x2025,
                                        value x2024, value x2023,
                                        value x2022, value x2021)
{
   CAMLparam5 (x2026, x2025, x2024, x2023, x2022); CAMLxparam1 (x2021);;
   uv_loop_t* x2027 = CTYPES_ADDR_OF_FATPTR(x2026);
   uv_fs_t* x2028 = CTYPES_ADDR_OF_FATPTR(x2025);
   int x2029 = Long_val(x2024);
   int x2032 = Long_val(x2023);
   int x2035 = Long_val(x2022);
   void(* x2038)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2021);
   caml_release_runtime_system();
   int x2039 = uv_fs_fchown(x2027, x2028, x2029, x2032, x2035, x2038);
   caml_acquire_runtime_system();
   value x2040 = Val_long(x2039);
   CAMLreturnT(value, x2040);
}
value luv_stub_blocking_41_uv_fs_fchown_byte6(value* argv, int argc)
{
   value x2043 = argv[5];
   value x2044 = argv[4];
   value x2045 = argv[3];
   value x2046 = argv[2];
   value x2047 = argv[1];
   value x2048 = argv[0];
   return
     luv_stub_blocking_41_uv_fs_fchown(x2048, x2047, x2046, x2045, x2044,
                                       x2043);
}
value luv_stub_blocking_42_uv_fs_lchown(value x2054, value x2053,
                                        value x2052, value x2051,
                                        value x2050, value x2049)
{
   CAMLparam5 (x2054, x2053, x2052, x2051, x2050); CAMLxparam1 (x2049);;
   uv_loop_t* x2055 = CTYPES_ADDR_OF_FATPTR(x2054);
   uv_fs_t* x2056 = CTYPES_ADDR_OF_FATPTR(x2053);
   char* x2057 = CTYPES_ADDR_OF_FATPTR(x2052);
   int x2058 = Long_val(x2051);
   int x2061 = Long_val(x2050);
   void(* x2064)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2049);
   caml_release_runtime_system();
   int x2065 = uv_fs_lchown(x2055, x2056, x2057, x2058, x2061, x2064);
   caml_acquire_runtime_system();
   value x2066 = Val_long(x2065);
   CAMLreturnT(value, x2066);
}
value luv_stub_blocking_42_uv_fs_lchown_byte6(value* argv, int argc)
{
   value x2069 = argv[5];
   value x2070 = argv[4];
   value x2071 = argv[3];
   value x2072 = argv[2];
   value x2073 = argv[1];
   value x2074 = argv[0];
   return
     luv_stub_blocking_42_uv_fs_lchown(x2074, x2073, x2072, x2071, x2070,
                                       x2069);
}
value luv_stub_blocking_43_uv_fs_get_result(value x2075)
{
   CAMLparam1 (x2075);;
   uv_fs_t* x2076 = CTYPES_ADDR_OF_FATPTR(x2075);
   caml_release_runtime_system();
   ssize_t x2077 = uv_fs_get_result(x2076);
   caml_acquire_runtime_system();
   value x2078 = caml_copy_int64(x2077);
   CAMLreturnT(value, x2078);
}
value luv_stub_blocking_44_uv_fs_get_ptr(value x2081)
{
   CAMLparam1 (x2081);;
   uv_fs_t* x2082 = CTYPES_ADDR_OF_FATPTR(x2081);
   caml_release_runtime_system();
   void* x2083 = uv_fs_get_ptr(x2082);
   caml_acquire_runtime_system();
   value x2084 = CTYPES_FROM_PTR(x2083);
   CAMLreturnT(value, x2084);
}
value luv_stub_blocking_45_uv_fs_get_ptr(value x2087)
{
   CAMLparam1 (x2087);;
   uv_fs_t* x2088 = CTYPES_ADDR_OF_FATPTR(x2087);
   caml_release_runtime_system();
   char* x2089 = uv_fs_get_ptr(x2088);
   caml_acquire_runtime_system();
   value x2090 = CTYPES_FROM_PTR(x2089);
   CAMLreturnT(value, x2090);
}
value luv_stub_blocking_46_luv_fs_get_path(value x2093)
{
   CAMLparam1 (x2093);;
   uv_fs_t* x2094 = CTYPES_ADDR_OF_FATPTR(x2093);
   caml_release_runtime_system();
   char* x2095 = luv_fs_get_path(x2094);
   caml_acquire_runtime_system();
   value x2096 = CTYPES_FROM_PTR(x2095);
   CAMLreturnT(value, x2096);
}
value luv_stub_blocking_47_uv_fs_get_statbuf(value x2099)
{
   CAMLparam1 (x2099);;
   uv_fs_t* x2100 = CTYPES_ADDR_OF_FATPTR(x2099);
   caml_release_runtime_system();
   uv_stat_t* x2101 = uv_fs_get_statbuf(x2100);
   caml_acquire_runtime_system();
   value x2102 = CTYPES_FROM_PTR(x2101);
   CAMLreturnT(value, x2102);
}
value luv_stub_blocking_48_uv_thread_join(value x2105)
{
   CAMLparam1 (x2105);;
   uv_thread_t* x2106 = CTYPES_ADDR_OF_FATPTR(x2105);
   caml_release_runtime_system();
   int x2107 = uv_thread_join(x2106);
   caml_acquire_runtime_system();
   value x2108 = Val_long(x2107);
   CAMLreturnT(value, x2108);
}
value luv_stub_blocking_49_uv_mutex_lock(value x2111)
{
   CAMLparam1 (x2111);;
   uv_mutex_t* x2112 = CTYPES_ADDR_OF_FATPTR(x2111);
   caml_release_runtime_system();
   uv_mutex_lock(x2112);
   caml_acquire_runtime_system();
   value x2114 = Val_unit;
   CAMLreturnT(value, x2114);
}
value luv_stub_blocking_50_uv_rwlock_rdlock(value x2117)
{
   CAMLparam1 (x2117);;
   uv_rwlock_t* x2118 = CTYPES_ADDR_OF_FATPTR(x2117);
   caml_release_runtime_system();
   uv_rwlock_rdlock(x2118);
   caml_acquire_runtime_system();
   value x2120 = Val_unit;
   CAMLreturnT(value, x2120);
}
value luv_stub_blocking_51_uv_rwlock_wrlock(value x2123)
{
   CAMLparam1 (x2123);;
   uv_rwlock_t* x2124 = CTYPES_ADDR_OF_FATPTR(x2123);
   caml_release_runtime_system();
   uv_rwlock_wrlock(x2124);
   caml_acquire_runtime_system();
   value x2126 = Val_unit;
   CAMLreturnT(value, x2126);
}
value luv_stub_blocking_52_uv_sem_wait(value x2129)
{
   CAMLparam1 (x2129);;
   uv_sem_t* x2130 = CTYPES_ADDR_OF_FATPTR(x2129);
   caml_release_runtime_system();
   uv_sem_wait(x2130);
   caml_acquire_runtime_system();
   value x2132 = Val_unit;
   CAMLreturnT(value, x2132);
}
value luv_stub_blocking_53_uv_cond_wait(value x2136, value x2135)
{
   CAMLparam2 (x2136, x2135);;
   uv_cond_t* x2137 = CTYPES_ADDR_OF_FATPTR(x2136);
   uv_mutex_t* x2138 = CTYPES_ADDR_OF_FATPTR(x2135);
   caml_release_runtime_system();
   uv_cond_wait(x2137, x2138);
   caml_acquire_runtime_system();
   value x2140 = Val_unit;
   CAMLreturnT(value, x2140);
}
value luv_stub_blocking_54_uv_cond_timedwait(value x2145, value x2144,
                                             value x2143)
{
   CAMLparam3 (x2145, x2144, x2143);;
   uv_cond_t* x2146 = CTYPES_ADDR_OF_FATPTR(x2145);
   uv_mutex_t* x2147 = CTYPES_ADDR_OF_FATPTR(x2144);
   uint64_t x2148 = Uint64_val(x2143);
   caml_release_runtime_system();
   int x2151 = uv_cond_timedwait(x2146, x2147, x2148);
   caml_acquire_runtime_system();
   value x2152 = Val_long(x2151);
   CAMLreturnT(value, x2152);
}
value luv_stub_blocking_55_uv_barrier_wait(value x2155)
{
   CAMLparam1 (x2155);;
   uv_barrier_t* x2156 = CTYPES_ADDR_OF_FATPTR(x2155);
   caml_release_runtime_system();
   _Bool x2157 = uv_barrier_wait(x2156);
   caml_acquire_runtime_system();
   value x2158 = Val_bool(x2157);
   CAMLreturnT(value, x2158);
}
value luv_stub_blocking_56_uv_sleep(value x2161)
{
   CAMLparam1 (x2161);;
   int x2162 = Long_val(x2161);
   caml_release_runtime_system();
   uv_sleep(x2162);
   caml_acquire_runtime_system();
   value x2166 = Val_unit;
   CAMLreturnT(value, x2166);
}
value luv_stub_blocking_57_uv_random(value x2174, value x2173, value x2172,
                                     value x2171, value x2170, value x2169)
{
   CAMLparam5 (x2174, x2173, x2172, x2171, x2170); CAMLxparam1 (x2169);;
   uv_loop_t* x2175 = CTYPES_ADDR_OF_FATPTR(x2174);
   uv_random_t* x2176 = CTYPES_ADDR_OF_FATPTR(x2173);
   char* x2177 = CTYPES_ADDR_OF_FATPTR(x2172);
   size_t x2178 = ctypes_size_t_val(x2171);
   unsigned int x2181 = ctypes_uint_val(x2170);
   void(* x2184)(uv_random_t*, int, void*, size_t) =
   CTYPES_ADDR_OF_FATPTR(x2169);
   caml_release_runtime_system();
   int x2185 = uv_random(x2175, x2176, x2177, x2178, x2181, x2184);
   caml_acquire_runtime_system();
   value x2186 = Val_long(x2185);
   CAMLreturnT(value, x2186);
}
value luv_stub_blocking_57_uv_random_byte6(value* argv, int argc)
{
   value x2189 = argv[5];
   value x2190 = argv[4];
   value x2191 = argv[3];
   value x2192 = argv[2];
   value x2193 = argv[1];
   value x2194 = argv[0];
   return
     luv_stub_blocking_57_uv_random(x2194, x2193, x2192, x2191, x2190, x2189);
}
